Welcome to OpenFX Online Help

Designer Reference HTML Help


How to Use This Function Reference

How to Use This Function Reference Manual

This manual is intended as a reference work for both novice and experienced users. It is a menu-by-menu list and explanation of every function in the program. To find the function you are looking for, note the menu where the option appears, and look up that same menu, sub-menu and sub-sub-menu in the Table of Contents.

All functions are listed in menu order, from left to right and top to bottom. All dependent submenus for each option are fully listed before moving on to the next menu item. The general screen layout, icons and tools are listed at the beginning of each module’s section, before the menus.


Terms used in the Modeler

Terms used in the Designer

3D Cursor - To be able to work in three dimensions it must be possible to specify a point in space where your tools do their work and the actions take effect. A two dimensional computer screen is one dimension short therefore in addition to the normal mouse pointer a second "Cursor" is provided. This cursor can be placed anywhere in 3D space by dragging it (with the mouse pointer) in one, two or three of the Working-Volume view windows.

Active Window - The Active Window is the Working-Volume view window with input focus. It is highlighted by being surrounded with a focus rectangle. When the multi-views are visible pressing the Tab key activates the the next window in a cycle. Clicking the mouse in any view window activates it.

Center Point - Each Model has a point which is used in the Animator to "hold" the model. For example if a model of an aircraft is following a path then the point in the model that is exactly on the path is the Center Point. For an aircraft it should be the center of gravity.

Curve - A set of vertices connected together by edges without forming any faces. Curves may be open or closed.

Edge - A line segment connecting two vertices (the plural of vertex).

Face - A triangular surface area composed of three edges joining exactly three vertices .

Follow Point - A location (specified in the Designer module) in a model which other objects can follow.

Example: The tail rotor of a helicopter can be simulated by making models of the fuselage and rotor, setting the fuselage follow point at the axis of the tail rotor and then instructing the tail rotor to follow the fuselage.

Frame - Like a conventional cinematic film an animation is build up from a large number of still pictures (images) shown for approximately 1/24th sec. Each of these pictures is called a frame.

Gourand Shading - A rendering algorithm that shades models smoothly by blending and blurring adjacent surfaces together. Gourand shading is the rendering method used by the OpenGL Shaded Camera View.

Image Map - An Image Map is a picture in a GIF or TGA file that is painted on to faces in the model to add decals or other surface detail.

Indicate - To choose one particular vertex, edge, face, or object to be affected by an operation by placing the 3D Cursor on or very near it (within one or two pixels). If more than one vertex, edge, face, or object is indicated in the current Working-Volume view window, then the one closest to the 3D Cursor in the other Views will be used.

Model - A model is the main unit of structure. A model is made up of faces and each face is bounded by three edges. The size, position and orientation of a face is determined by the vertices that define it.

Modifier Keys - The Shift, Ctrl and Alt keys are used to modify the action of the Designer tools. If one or other is held down as the tool is used then the action of the tool is modified in some manner.

Morphing - Enables one model to gradually change shape into another model.

Node - A node is a point on a path or robot that can be manipulated. Represented by a small square on the path or the robot.

Origin - The default origin is coordinate values of (0, 0, 0).

Path - A Curve that used in the animator as templates for Path Objects (.PTH) and may be used in the Designer as paths for the Extrude along function.

Phong Shading - A rendering algorithm that shades models smoothly and accurately depicts surfaces, textures, and reflective properties (such as specularity) and can simulate mirror reflections. The renderer uses Phong rendering by default unless ray tracing is enabled. See Phong smoothing.

Phong Smoothing - This is a procedure that helps to remove the faceted appearance from the curved surfaces of models.

Ray Tracing - A complex rendering method that accurately renders mirror effects, transparency, shadows, and refraction (bending of light through clear surfaces). Ray tracing is the most realistic rendering available but is also the most time consuming.

Selection Status - Each vertex in a model can be in one of three states, Selected, Deselected or Hidden. Selected vertices are manipulated with Tools and Actions. Deselected Vertices are not affected by tools or actions even if connected to selected vertices. Hidden vertices are never drawn but remain as part of the model until revealed.

Texture - A texture is an algorithmic procedure that can add fine detail to the appearance of surfaces in the model. Examples are Wood and Marble finishes.

Skeleton - The Skeleton and the Names Hierarchy are one and the same thing. The Skeleton in addition to facilitating a hierarchical naming system for set of vertices provides a way of deforming parts of the model.

Skeleton Joint - The Skeleton is made up from a number of Joints, each Joint has a "long bone" associated to it and a "node" at one end. Each bone is attached to one other Joint at it's node or the "Root node".

Specular Highlight - Shininess is simulated by what is known as a specular highlight. Basically, the more shiny a surface the smaller the specular highlight. For example, plastic material has a less shiny appearance than tin, so a plastic bottle will have a larger specular highlight than a tin can.

Vertex - A distinct point in 3D space represented by a yellow dot if selected or a purple dot if deselected.

Working-Volume - The Working-Volume is a cubic volume of space which is used as the working environment for building models and setting up animations. It can be moved around and changed in size so that details on a model can be constructed without having the screen cluttered up by every vertex and edge in the whole model in view at all times. The three right angle view windows are views into the Working-Volume, normally they are a Top view which looks down, a Side view and a view from the front or rear.


Quad View

This is the Designer Screen displaying all four views simultaneously.

The three Views with buttons labeled TOP, FRONT, and SIDE are known collectively as the Working-Volume . The labeled buttons located in the upper left corners of their respective windows, will toggle the Designer screen between Single View and Quad View. You can also resize the quad views by clicking on the intersection of the four views and dragging them to the desired size.

The view in the upper right view is the Camera view and displays a perspective rendering of the model contained in the three views.

The Status bar along the bottom of the screen displays helpful information. The left-hand section displays information about the tool in use. The right-hand section displays information about the number of vertices, edges, and faces and their selection state.


Single View

This is the Designer Screen displaying a large single view.

Pressing on the active view button (TOP in the above example) will revert the Designer screen back to the Quad View . Options to toggle to the Quad View are Window > Quad View or use Shift + F4 keys.

To see a large single view of the other two views, press their view buttons (FRONT or SIDE in the above example).


Resize Quad View

The Designer Quad View windows can be resized by dragging the mouse cursor at the intersection of the four views.

Resizing the views is especially useful when working with models that are not symmetrical in size since vertices outside the view windowss are not displayed.

To reset the Quad View to the default size, invoke Window > Reset Quad View Windows or press the F4 key.


Camera View

The Camera view displays a three dimensional rendering of the model wholly contained in the Working-Volume.

To view the model from different angles, hold down the left mouse button (the cursor turns into a hand when over the camera view) over the camera view and move the mouse to the desired view.

For faster, more interactive viewing, temporarily toggle the camera view to Wireframe, choose the desired view, and then toggle back to OpenGL shading.

The Camera View defaults to using OpenGL shading. You can quicky toggle between the shaded OpenGL Shaded Camera view and the Wireframe Camera view by pressing F11 or right clicking on the Camera window and choosing "Hide/Show OpenGL Camera View".

See also:
Hidden Line Camera View
Quick Render Preview


OpenGL Shaded view

Shaded View - OpenGL

The OpenGL Shaded Camera view displays a shaded rendering (with or without image maps) of the Camera View.

The OpenGL shaded Camera View defaults as on. You can quicky toggle between the shaded OpenGL Camera view and the Wireframe Camera view by pressing F11 or right clicking on the Camera window and choosing "Hide/Show OpenGL Camera View".

In OpenFX 2 the shaded view has been enhanced, to dsplay image maps and materials (on supporting hardware.).

In Ortho view mode you can use the Selecting and Move Tools.

(Whe using these tools you still have instant access to the Obit view adjuster by holding down the space bar on the keyboard.


Wireframe Camera View

The Wireframe Camera View displays a wireframe rendering of the Camera View.

To display the Camera View in wireframe mode, you can invoke the Hide OpenGL Camera View menu, press the F11 key, or right click on the Camera Window and choose Hide OpenGL View.

Note you can also draw the Camera view with hidden lines removed by right clicking on the Camera window and selecting the Draw Hidden Line context menu.

To toggle the OpenGL Shaded Camera View back on you can invoke the Show OpenGL Camera View menu, press the F11 key, or right click on the Camera Window and choose Show OpenGL Camera View.

In wireframe view mode (and in the hidden line mode) you can use the Select and Move tools as you would in the other view windows. When you use the Move tool in the View window it moves the selected vertices around in a plane that lies at right angles to the screen. In this way you can move vertices in directions that do not have to be at right angles to the x,y,z coordinate system.


Hidden Line Camera View

Displays the Camera View with hidden lines removed so that edges that are obscured by the faces in front of them are not displayed.

Draw the Camera View with hidden lines removed by right clicking on the Camera window and selecting the Draw Hidden Line context menu.

Hidden Line Wireframe Rendering

Normal Wireframe Rendering

To toggle the OpenGL Shaded Camera View back on you can invoke the Show OpenGL Camera View menu, press the F11 key, or right click on the Camera Window and choose Show OpenGL Camera View.


Quick Render

Quick Render to Camera View

Renders the contents of the Designer's Working-Volume directly in the Camera View.

Quick Rendering uses full Phong rendering with maps, textures, reflections, etc.at an antialiasing level at medium. Great for quick previews! F12 is the hot key for Quick Render.

Tip: Quick Render is much faster if monitor color depth is set to 16 million colors. Otherwise the rendering displays color banding and renders significantly slower.


Tools

Describes the functions of the Designer's Tool Palette.

Click on the individual tool for more information on its functionality.

Click on the tool for more information on its functionality.


Object_Selector_Tool

Selects connected vertices if one vertex is clicked on. If the connected vertices were already selected then they will be deselected.

Selection takes place by first checking for the closest vertex in that window, it then finds the closest in the third dimension. In this way parts of a complex model may be selected without difficulty.

Clicking away from a vertex will move the 3D cursor to that point.

Holding down the Ctrl key turns off selection/deselection. Using the Ctrl key enables you to place the 3D cursor in areas where vertices may be present without toggling the selection status.


Vertex_Selector_Tool

Select and move an individual Vertex. Also selects nodes of a posed skeleton and pivots around the selected node.

Clicking away from a vertex and dragging creates a selection marquee. The marquee selection state can be changed using the following modifier keys.

Modifier Key | Resulting Action
None | Select Rectangular Marquee
Alt | Deselect Rectangular Marquee
Shift | Select Lasso Marquee
Shift + Alt | Deselect Lasso Marquee
Ctrl | Circular Marquee
Ctrl + Alt | Deselect Circular Marquee


Selection Marquee Tool

Drag select or deselect a set of vertices.

  • Holding down the Shift Key while dragging changes the selection marquee from a rectangle to a Lasso.

  • Holding down the Ctrl Key while dragging changes the selection marquee from a rectangle to a circle.

  • Double-click on the Selection Marquee Tool to toggle to the Deselection marquee.


Hand_Tool

Pan Tool

Move the Working-Volume around the world to view the model.

Click and drag to move the Working-Volume so that other regions of space are moved into view. For example, clicking and dragging in the Top view moves the Working-Volume in the X/Y coordinate plane.

Double clicking on the PanTool centers the view on the 3D cursor.


Zoom_Tool

Enlarge or contract and center the Working-Volume.

Click and drag to define a region that will be enlarged or contracted to fill the full Working-Volume. The magnification factor will be adjusted so that the Working-Volume remains cubic.

Double clicking on the Zoom Tool zooms out to show everything in the center of the view.


Move_Tool

This tool moves the selected Vertices to a new location.

Click anywhere in the view windows and a purple rectangle encompassing the selected vertices is displayed. Continue holding down the mouse button and drag the purple rectangle to the spot to which you want the vertices moved.

To move by a specified distance, double click the Move Tool to bring up the Move Vertices dialog.

To move interactively by 1 pixel, use the arrow keys on your keyboard. To move interactively by 5 pixels, hold down the SHIFT key while using the arrow keys on your keyboard.


Rotate_Tool

This tool rotates selected vertices around the position of the 3D Cursor in the active window.

Click (press and release the left mouse button) without moving the mouse to place the 3D cursor at the coordinates you want to be the center of rotation. Click in a window and drag the mouse to the left or right to interactively rotate the selected vertices around the 3D cursor.

Rotation occurs around an axis passing through the 3D Cursor and running in and out of the screen. The axis is through the active window. Rotation starts when the mouse is moved after pressing the left mouse button.

To rotate by a specified angle, double-click on the Rotate Tool to bring up the Rotate dialog.

To rotate interactively by 1° increments, use the left or right arrow keys. To rotate interactively by 5° increments, hold down the SHIFT key while using the left or right arrow keys.


Scale_Tool

Scales selected vertices about the position of the 3D cursor.

Up/down left/right and back/front scaling factors can be adjusted with the help of modifier keys.

Click (press and release the left mouse button) without moving the mouse to place the 3D cursor at the coordinates you want to be the center of scaling. Click in a window and drag the mouse to the left or right to scale the selected vertices about the 3D cursor. Scaling starts when the mouse is moved after pressing the left mouse button.

Differential scaling can be applied by using the following modifier keys.

Shift | expand in the front-to-back (Y coordinate) direction only
Ctrl | expand in the up-down (Z coordinate) direction only
Alt | expand in the left to right (X coordinate) direction only

To scale selected vertices by a numeric factor, double-click to bring up the Scale dialog.


Pen Tool

Draw Tool

This tool plots a curve (composed of a set of vertices and edges) in the Working-Volume view windows.

Place the first vertex of the curve by clicking once in one of the Working-Volume view windows. Click and drag the 3D Cursor (a rubber band line is drawn between the last vertex inserted and the 3D Cursor while the left mouse button is held down) to the desired position of the next vertex of the curve. Release the left mouse button to create the next vertex of the curve. If you just click the left mouse button, a vertex is added at that point.

If the "Shift" key is held down while dragging the mouse then the extending line is constrained to 45° angles. The active window will scroll as the mouse approaches the edge of the window.

If the "Ctrl key" is held down then no new vertices are created. This enables positioning of the 3D Cursor in two windows before re-commencing drawing.

If the "Alt" key is held down then when the mouse is clicked a "New edge" is started. The "New edge" is not attached to any previous vertex on the curve.

The Draw Tool can also be used to draw edges between existing vertices by clicking exactly on top of the desired vertex.

To enable the 3D Plot Tool, double-click on the Draw Tool.

See also:
Face and Edge Creation
Strutting and Faceting


Magnet Tool

Bend Tool

The bend tool is really 4 tools in one and moves selected vertices according to the choice of tool and the position of the 3D cursor position.

<< Insert tool description here >> TODO

To enable the Former Tool, double-click on the Bend.


Add Object

The Add Objects inserts a Cone, Cube, Cylinder, Disk, Polygon, Rectangle, Sphere, and Tube primitive into the Working-Volume at the location of the 3D Cursor. 3D Text can also be inserted using either TrueType or Postscript fonts.

Choose the desired primitive from the Add Objects Popup.

Primitives can also be generated with exact dimensions or drawn interactively using the Build > Build Primitives menu.


Cube Primitive

The Add Objects Cube tool inserts a Cube primitive in the Working-Volume at the location of the 3D Cursor.

Cube primitives can also be generated with exact dimensions or drawn interactively using the Build > Build Primitives menu.

The Build Primitives Cube Tab page enables the generation of Cubic models by a specified dimension.

Type in the desired Length, Width, Height, and Center point, then press the Make button. Note that the Center is the point in the Working-Volume 3D space that the center of the Cube is placed.

You can also interactively generate a Cube primitive by dragging out a bounding box in any of the Working-Volume' TOP, FRONT, or SIDE views. The specified Cube will fill the space of the bounding box. Note that the Auto checkbox must be checked to interactively draw primitives.


Sphere Primitive

The Add Objects Sphere tool inserts a Geo Sphere primitive in the Working-Volume at the location of the 3D Cursor.
A Geo sphere has the properties that it is symmetric when viewed from any position.

Sphere primitives can also be generated with exact dimensions or drawn interactively using the Build > Build Primitives menu.

The Build Primitives Sphere Tab page enables the generation of Spherical models by a specified dimension.

Type in the desired Radius, number of Faces, Smoothing choice (Off creates a faceted sphere when rendered) and Center point, then press the Make button. Note that the Center is the point in the Working-Volume 3D space that the center of the Sphere is placed.

You can also interactively generate a Sphere primitive by dragging out a bounding box in any of the Working-Volume' TOP, FRONT, or SIDE views. The specified Sphere will fill the space of the bounding box. Note that the Auto checkbox must be checked to interactively draw primitives.


Sphere Primitive

Lat/Long Sphere Primitive

A Lat/Long sphere is modeled on the lines of latitude and longitude used to map out the surface of the earth.

Sphere primitives can be generated with exact dimensions or drawn interactively using the Build > Build Primitives menu.

The Build Lat/Long Sphere Tab page enables the generation of Spherical models by a specified dimension.

Type in the desired Radius, number of Faces, Smoothing choice (Off creates a faceted sphere when rendered) and Center point, then press the Make button. Note that the Center is the point in the Working-Volume 3D space that the center of the Sphere is placed.

You can also interactively generate a Sphere primitive by dragging out a bounding box in any of the Working-Volume ' TOP, FRONT, or SIDE views. The specified Sphere will fill the space of the bounding box. Note that the Auto checkbox must be checked to interactively draw primitives.


Rectangle Primitive

The Add Objects Rectangle tool inserts a Rectangle primitive in the Working-Volume at the location of the 3D Cursor.

Rectangle primitives can also be generated with exact dimensions or drawn interactively using the Build > Build Primitives menu.

The Build Primitives Rectangle Tab page enables the generation of Rectangle models by a specified dimension.

Type in the desired Length, Width and Center point, then press the Make button. Note that the Center is the point in the Working-Volume 3D space that the center of the Rectangle is placed.

You can also interactively generate a rectangular primitive by dragging out a bounding box in any of the Working-Volume' TOP, FRONT, or SIDE views. The specified rectangle will fill the space of the bounding box. Note that the Auto checkbox must be checked to interactively draw primitives.


Cylinder Primitive

The Add Objects Cylinder tool inserts a Cylinder primitive in the Working-Volume at the location of the 3D Cursor.

Cylinder primitives can also be generated with exact dimensions or drawn interactively using the Build > Build Primitives menu.

The Build Primitives Cylinder Tab page enables the generation of Cylindrical models by a specified dimension.

Type in the desired length, radius, number of sides, and Working-Volume center, then press the Make button.

You can also interactively generate a Cylindrical primitive by dragging out a bounding box in any of the Working-Volume' TOP, FRONT, or SIDE views. The specified Cylinder will fill the space of the bounding box. Note that the Auto checkbox must be checked to interactively draw primitives.


Cone Primitive

The Add Objects Cone tool inserts a Cone primitive in the Working-Volume at the location of the 3D Cursor.

Cone primitives can also be generated with exact dimensions or drawn interactively using the Build > Build Primitives menu.

The Build Primitives Cone Tab page enables the generation of Conical models by a specified dimension.

Type in the desired Radius, Height, number of Sides, and Center point, then press the Make button. Note that the Center is the point in the Working-Volume 3D space that the center of the Cone is placed.

You can also interactively generate a Cone primitive by dragging out a bounding box in any of the Working-Volume' TOP, FRONT, or SIDE views. The specified Cone will fill the space of the bounding box. Note that the Auto checkbox must be checked to interactively draw primitives.


Polygon Primitive

The Add Objects Polygon tool inserts a Polygon primitive in the Working-Volume at the location of the 3D Cursor.

Polygon primitives can also be generated with exact dimensions or drawn interactively using the Build > Build Primitives menu.

The Build Primitives Polygon Tab page enables the generation of polygonal (all polygons in the same plane) models by a specified dimension.

Type in the desired Radius, number of Side, and Center point, then press the Make button. Note that the Center is the point in the Working-Volume 3D space that the center of the Polygon is placed.

You can also interactively generate a Polygon primitive by dragging out a bounding box in any of the Working-Volume' TOP, FRONT, or SIDE views. The specified Polygon will fill the space of the bounding box. Note that the Auto checkbox must be checked to interactively draw primitives.


Tube Primitive

The Add Objects Tube tool inserts a Tube primitive in the Working-Volume at the location of the 3D Cursor.

Tube primitives can also be generated with exact dimensions or drawn interactively using the Build > Build Primitives menu.

The Build Primitives Tube Tab page enables the generation of Tubular models by a specified dimension.

Type in the desired Length, Radius, number of Sides, and Center point, then press the Make button. Note that the Center is the point in the Working-Volume 3D space that the center of the Tube is placed.

You can also interactively generate a Tube primitive by dragging out a bounding box in any of the Working-Volume' TOP, FRONT, or SIDE views. The specified Tube will fill the space of the bounding box. Note that the Auto checkbox must be checked to interactively draw primitives.


Add TrueType Text

The Add TrueType Text adds text using TrueType fonts into the Working-Volume.

Choose the desired font type from the TrueType Font dialog.

The chosen font is loaded into the TrueType Text Builder Utility.

Type in the desired characters describing the logo, define font width, bevel characteristics, color information, etc. Press the Make button and the logo will be loaded into the Designer's Working-Volume.


Add Postscript Text

The Add Postscript Text adds 3D text using Postscript fonts into the Working-Volume.

Choose the desired font type from the Postscript Font dialog.

The chosen font is loaded into the Postscript Text Builder Utility.

Type in the desired characters describing the logo, define font width, bevel characteristics, color information, etc. Press the Make button and the logo will be loaded into the Designer Working-Volume.


Render Tool

Clicking on the Render Tool launches the Renderer dialog.

Select the desired settings in the Control, Options, Settings, and Tracing tab pages of the Renderer dialog. Press the Render button at the bottom of the Renderer dialog to start rendering. Note that test renders be done quicker using the File-> Quick Render (F12).

The renderer defaults to a Scanline Phong renderer. Various levels of Ray tracing can be enabled in the Tracing tab page. Phong rendering is suggested in most cases since ray tracing is notoriously memory and time intensive.

The renderer is multi-threaded and will benefit greatly if additional processors are installed in the system. Rendering on a two processor system will almost be twice as fast as with one processor.


Render Control Tab Page

Renderer Control Tab Page

The Control page of the Renderer offers the most significant control parameters. The most important buttons are on the right and control whether the scanline software renderer is used or the harware rendering engine(GPU rendering) is used. The hardware rendering engine will be much faster for most images and movies (up to 30 times faster) but it will not work on older hardware and some graphics cards may not be compatible. (You must have a graphics adapter that supports OpenGL 2.0) All nVidia graphics adapters produced in the last 5 years should be compatible. Most ATI graphics cards should also work.) The GPU renderer has been successfully tested on a wide range of ATI and nVidia hardware.

Resolution - Choose the resolution to which the image is rendered. Choose one of the presets or enter the number of horizontal and/or vertical pixels in the edit controls. The number of pixels in the image is horizontal resolution multiplied by the vertical resolution. The higher the resolution the longer it takes and the more memory it needs to render the image.

Anti-Aliasing - Choose the level of anti-aliasing. In low resolution modes the appearance of an image can be improved if it is anti-aliased. Basically, anti-aliasing smoothes out some of the 'jaggies' that are visible at the edges of colored regions in the image. Anti-Aliasing is very time consuming: it will take a little under 4 times as long to render a Good anti-aliased image than an image with no anti-aliasing. Using Best level of anti-aliasing, the image will take approximately 9 times longer to render than a non anti-aliased one.

Accelerated Anti-Aliasing - Accelerate the anti-aliasing process, with small quality reduction. Normally anti-aliasing an image increase the rendering time quite significantly, up to 9 or 10 times for a setting of Best. The main effect of anti-aliasing is seen near the edges of models or where faces with different colors join. Pixels in the interior of faces benefit very little from anti-aliasing. When this option is selected, anti-aliasing is applied near the edges of faces and not in the center. For most models this is as good as full anti-aliasing and it can be up to 3 times faster. Images with models that have image maps or shaders, where there is quite a bit of detail in the interior of faces, will not benefit as much from having their anti-aliasing accelerated.

Image Format - Select the file format into which the image or images will be stored. This automatically determines the color resolution in the image. For an single image or multiple still images the GIF format uses an 8 bit palette, while the TGA and TIF formats are either High-Color or True-Color (16 bit or 24 bit).

Image Name - Name the image and the directory to which it is to be rendered. The default image directory is "Render".

Movie Name - Name the animation and the directory to which it is to be rendered and compressed. The default animation directory is "Movies". Movies are written in the AVI fiel format and can be written using any installed codec or in an uncompressed format for high quality postprocessing.

Current Frame - Specify which frame of an animation is to be rendered.

Range - Specify a range of frames to be rendered.


Render Options Tab Page

The Options page of the Renderer offers additional control parameters.

Show Image While Rendering - Displays a preview image in the Rendering Status Window during the rendering.

Startup Preferences - Enables preference settings to override the defaults.

Hardware Renderer Settings - These apply to the GPU renderer:

  • Output directly to Screen - If you use this option you will be limited in the resolution of the output you can make to the sise of your desktop window. And it must draw on top of your desktop so you will not be able to continue working while renderiing.
  • Render to Pixel buffer (P-buffer) - This is the best option,
  • Render to Frame Buffer Object (FBO) - Render to offscreen buffer. This should be the fastest option - but it behaves differently on different adapter cards.

If you tick the Apply Software Post..... button then the images created by the OpenGL renderer will be passed to the software processor functions (external DLLs). This is useful since not all the postprocessors have been re-written for use with the OpenGL renderer.

If you tick the Copy Hardware Depth... button then the hardware depth buffer is copied to the software depth buffer and you can use depth dependent software post-processors (like fog).


Render Settings Tab Page

The Settings page of the renderer offers additional control parameters. The Smoothing angle, ambient light, shadow density and spotlight buffer size ONLY apply to the scanline software renderer.

Note: These settings only apply to the Software Renderer.

Animation Speed - Set the speed value built into the FLI/FLC files. The value is in jiffies, zero implies the animation will play as fast as possible.

Smoothing Angle - Set the maximum Phong smoothing angle. If the angle between any adjacent faces exceeds this value, the Phong smoothing is automatically turned off for those faces. This switch can help eliminate artefacts that sometimes appear in an image if the smoothing in a model has been set inappropriately.

Ambient Lighting % - Overrides the ambient light settings usually specified in the Sky Actor. A maximum of 30% works quite well, values greater than 70% produce images that have very little contrast.

Shadow Density % - Specify the darkness of shadows cast on the Ground. Set the density of the shadows. 50% is the default, 100% gives completely black shadows, 0% gives no shadows at all.

Spotlight Buffer - Alter the resolution of the shadows cast by spotlights. The shadows created by the spotlights require a block of memory. A setting of 320 reserves a block of memory of 256k for each spotlight. The size of the block dictates the smoothness of the shadow. A value of zero implies that a spotlight will not cast a shadow. You can calculate optimum settings for best results by multiplying the number of pixels by 4 (e.g. 320x200x4=256,000 bytes required).

Motion Blur - Higher values generate Motion Blur. The normal range is 0-10. When a number outside this range is entered the full integrated motion blur comes into play.

Digits in Filenames - Specify the number of leading zeros in a Rendered filename.

JPEG Picture Quality - Specify the JPEG compression quality. Higher quality creates larger file sizes.


Render Trace Tab Page

Render Tracing Tab Page

The Tracing page of the Renderer enables Ray Trace rendering to be used. Turning on any of the Tracing options instructs the Renderer to use ray tracing where appropriate.

Note: These options and settings only apply to the Software Renderer.

Render_T.GIF (34397 bytes)

Trace Shadows - All shadows will be ray traced, this increases the rendering time significantly..

Trace Reflections - All reflective surfaces will be ray traced, this also increases the rendering time.

Trace Glass - All glass surfaces will be ray traced, this included normal glass, like windows, as well as refractive glass.

Algorithm Parameters - Ray tracing a sene with 10,000 of polygons requires some optimisation to be undertaken before the scene is rendered. This is explained more fully in the section on "Setting the ray tracing parameters". There are no 'hard and fast' rules for chosing which approach to use. If you have a very complex scene then you may wish to increase the "Polygons per Voxel" setting. Up to 1000 polygons per voxel will still be acceptable if you have a scene with several hundred thousand polygons.

It would be unwise to increase the Recursive depth beyond about 10 as this will hugely increase the amount of time it takes to optimise the scene before ray-tracing begins, and will also increase the amount of memory used to store the data.

The choice between Partition and Split is explained in the section on "Settings the Ray Tracing Paramters". Depending on what the scene is, one of these algorithmic approaches may work better.


Menus

Describes the functions of all the Designer's Menu commands.


File Menu

Describes the functions of the Designers's File Menu commands.


File New

Start New Model. All existing data will be deleted and the workspace will be cleared.

The Model Center and Follow Point will default to the center of the Working-Volume at 0, 0, 0 coordinates.


File Open...

Open a MFX, DXF, or 3DS file containing the model.

.MFX | The native file format
.DXF | DXF file format
.3DS | 3D Studio Release 4 file format

Select a model file to load. The default directory for MFX models is models.


File Save

Save all current open model to the MFX file.

If there is unsaved data a warning will be displayed.

Note
To save a model as a DXF file, use the File > Export Model > DXF menu item.
To save a model as a 3D Studio (3DS) file, use the File > Export Model > 3DS menu item.


File Save As...

Save the current model file to a specified named file.

The current MFX file becomes the named file.

Note
To save a model as a DXF file, use the File > Export Model > DXF menu item.
To save a model as a 3D Studio (3DS) file, use the File > Export Model > 3DS menu item.


Export Model

Enables exporting of models as:

  • Selected Objects
  • Hierarchy Joints
  • Letters
  • Paths
  • DXF
  • 3D Studio (.3DS)


Export Selected as Model

Save only selected vertices , edges and faces to MFX file.

Vertices in a model are assigned to a Skeleton Joint . If an assignment has not been made explicitly, they are assumed to apply to the Root Joint.

Specify a directory and filename to where the object is to be saved.


Export Hierarchy Joints as Model

Write a series of MFX files based on the model's Skeleton .

This function creates an MFX file for each Skeleton Joint and writes all the vertices attached to that Joint to a file named after the same Joint, i.e., ELBOW.MFX. The Joint (x,y,z) position is used as the Model Center for each model in the MFX file. Edges and faces attached to vertices written to a particular MFX file are also written to that MFX file. This command is nearly the same as the File > Export Model > Letters command.

Specify a directory where the data is to be saved. For complex models, it's a good idea to set aside a subdirectory within the MODELS directory for all the pieces, and to keep nothing else in that directory to avoid confusion.


Export Letters as Model

Writes a series of MFX files from objects created by Postscript or TrueType Text Builder utilities..

This function creates a MFX file, named by the letter, for each letter. A -C suffixes the file name for upper-case models. The Hold Point as specified in the Text Builder, is taken as the Model Center for each letter. The Follow Point for each letter is automatically set to support proper kerning, or proportional spacing, of following characters in an animation. This command is nearly the same as the File > Export Model > Hierarchy Joints command except that each part of the model is rotated through 180 degrees before it is saved. A rotation is needed if a "Travelers" animation is to be made.

Specify a directory to where the letters are to be saved. For letters, it's a good idea to set aside a subdirectory within the MODELS directory for each font, and to keep nothing else in that directory to avoid confusion. If there is a typeface you especially like, it's usually worth the time to create the entire character set at once.


Export Model as Path

Make a path file (.PTH) from an indicated path .

A path file is created for the current indicated path. Path files are used in the animator as templates for Path actors and may be used in the Designer as paths for the Extrude along function.

A path is indicated by selecting all the vertices that are to be in the path and then placing the 3D cursor close to the vertex at the start of the path. (Make sure it is close in at least two of the Working-Volume view windows).

Specify a Path filename (*.PTH) and directory to save. The default directory for paths is \models.


Export Model as DXF

Exports the current model as a DXF file.

Write the model data to a DXF structured file. A 3D representation of the model is written to a file in the DXF file format. DXF files are used by many 3D CAD programs. Vertices attached to each Skeleton Joint are written out on a different layer and POLYFACE mesh entities are created.

Specify a directory and filename to where the converted DXF data is to be saved.


Export Model as 3DS

Exports the current model as a 3D Studio release 4 (3DS) file.

Specify a directory and filename where the converted 3DS data is to be saved.


VRML_HELP

Export Virtual Reality Modeling Language

There are two elements to the VRML exporter, the Deisgner VRML Export writes "Indexed face sets" to describe the vertices and faces in the object model, the Animator VRML Export writes a VRML file that places models in a scene adds a background and places viewpoints and paths that the camera follows.

Deisgner VRML Export

Use this option to write VRML (.WRL) versions of the part of the model in the Designerthat is currently selected. (Has its vertices selected). Use the Options to determine whether the VRML file should have indendentations, and the number of digits of accuracy used to write the VRML text. Any image maps may have an optional prefix that replaces their file root.

  • Indentation
  • Use Prefix
  • Digits of Precision
  • Create Normals
Indentation

Makes reading or editing the VRML file in a text editor much easier to do. However it also makes the files larger

URL Image Prefix

Each Image map is stored in with its full path stored in the model file. For VRML

Digits of Precision

Vertex coordinates are written in a floating point format, with this option you can choose how many digits of precision are used to write each coordinate. For example if 3 Digits of Precision are used the coordinates are written in the form 4.533, 16.732 etc.

Normals

A set of normals at vertices can be generated based on the angles of faces next to each vertex. Only faces that have their smoothing attribute set contribute to the vertex normals.

Important Notes

To build the most efficient VRML representation from a Model the following conventions should be noted and if possible followed:

  • A separate VRML shape is created for each entry in the skeleton hierarchy. Therefore a large model should be divided into sub units and each individual one assigned to a separate node (bone). This is essential if an image map is applied to any faces in the model and will help in reducing the size of the VRML file if multiple colors are applied to faces.
  • Each face mesh assigned to a skeleton node is tested to see if an image map is a applied to any of the faces in the mesh. It is only possible to use one image map for each group of faces assigned to a skeleton node therefore if your model uses more than one image map or some of its faces are mapped and some not then those faces which are mapped should be assigned to separate skeleton nodes.
  • Another important step you must make before writing a VRML file that uses mapped surfaces and that is all mapped surfaces must use Fixed-To mapping. If you have planar, cylindrical or spherical mapped faces then mapping coordinates must be generated from the the planar map etc.
  • Reflection, transmission and bump maps and textures are not exported to VRML.
  • If a model contains surfaces with a few different colors then the efficiency of the VRML file will be improved if you group all faces using the same color and assign them to one skeleton node. Doing this will enable the VRML writer to use a single Material attribute for each shape rather then having to write a color index for each face in the model.

Animator VRML Export

The animator export dialog offers a number of options some of whch are the same as the Designer options:

The additional animator options are:

  • Viewpoints at Camera Position Keyframes. A camera viewpoint which can be acessed by browsers is written to the VRML file for every Position Keyframe of the active Camera.
  • Interpolate Camera With Time sensor. Position and Orientation Interpolators are written for the active Camera at regular frame intervals throughout the animation.
  • Background Environment URLs Provide the names of six images that are used for the environment in which the action takes place.
  • If a Sky and Ground are included in the animation then they will be represented in the VRML output file.

VRML References

Silicon Graphics. vrml.sgi.com

VRML Resources, Sites etc. Virtual Reality - VRML

VRML Developer Content Developer


Insert

Inserts one of the following into the Working-Volume:

  • Model at Origin
  • Model at Cursor
  • Path


Insert Model at Origin

Insert another model into the Working-Volume at the Origin .

The inserted data from a MFX file is combined with any existing data in the Designer.


Insert Model at Cursor

Insert another model into the Working-Volume at the location of the 3D Cursor.

The inserted data from a MFX file is combined with any existing data in the Designer. The position of the additional vertices is adjusted so that the center point of the model from the imported MFX file is placed at the location of the 3D cursor.


Insert Path

Insert a Path into the Working-Volume .

Select a Path file (*.PTH) to load. The default directory for paths is \models.


Render

This launches the Renderer. See the renderer help for full details.


Render_Setup

Render Setup...

Launches the Renderer.

Select the desired settings in the Control, Options, Settings, and Tracing tab pages of the Renderer dialog. Press the Render button at the bottom of the Renderer dialog to start rendering. Note that test renders be done quicker using the File > Quick Render (F12).

The renderer defaults to a Scanline Phong renderer. Various levels of Ray tracing can be enabled in the Tracing tab page. Phong rendering is suggested in most cases since ray tracing is notoriously memory and time intensive.

The renderer is multi-threaded and will benefit greatly if additional processors are installed in the system. Rendering on a two processor system will almost be twice as fast as with one processor.

New in OpenFX 2 is the GPU based high speed renderer. This is implemented using the functionality of the OpenGL version 2 shading language which is available on most programmable graphics adapters (those with a GPU (Graphics Processing Unit) )

A second button on the right of the renderer dialog gives access to the new GPU renderer. If this is greyed out then your hardware is not capable of taking advantage of the "near" real-time rendering engine.

Beginning with OpenFX 2 - the renderer has been completely re-written and is a continuing work in progress.


Print

Select an image file to print.

The Print function is intended to enable users to make quick-and-dirty prints of renderings, screenshots, maps and other images useful in documenting animation projects. It converts the specified image file to simple black-and-white and prints using the default Windows printer driver installed in the user's system. The Print function is not intended to do justice to the final output of the Renderer. For that level of print quality, it is recommended that the user output to film or some other 24-bit medium that can display a full range of colors.

Set up printing options. Consult your Windows User Guide for details.


Preferences...

Specifies the General and Startup Preference Settings for the Designer.


Preferences General Tab Page

Specifies the General Preference Settings for the Designer.

Standard Window Buttons - Toggles the Working-Volume view name display as buttons or just words.

Quick Drawing Trick - Enables a drawing subroutine that clips any line of less than 3 pixels, greatly speeding up redraw on complex models in small views.

Undo Activated - Enables the Undo facility. Unchecking this item will speed up operations but deactivate the Undo facility.

Show Tool Tips - Shows tool tips.

Use Big Vertices - Draws large vertices in Working-Volume.

Use Last Window Placement - Saves settings of Windows so next time windows appear at last placement.

Use Small Tool Icons - Enables the small tool icons without tool names. Can also right click on tool palette to toggle.

Tool Palettes on Left - If checked, places the tool palettes on the left side of the screen. Can also right click on tool palette to toggle.

Rendered View Background Color - Specifies the Camera view background color.


Preferences Startup Tab Page

Startup Preference settings.

Start With OpenGL View - Displays the OpenGL Shaded Camera View when the Designer is launched.

Use Textured Background - Displays the textured background image underlying the Designer's Tool palette and Working-Volume.


Most Recently Used Files

Displays the names of the most recently used Model files.

Select to load.


Exit Animator

Exit Designer

This function closes all open Designer modules and quits the Designer module.

If there are any unsaved changes to the current open model, a confirmation dialog will ask if you want to save the file before closing.


Edit Menu

Describes the functions of the Designer's Edit Menu commands.


Undo

Reverts to the status before the last operation.

This is not enabled with all functions, but if an operation cannot be Undone, a warning dialog will prompt you before the operation is executed.


Delete

Deletes the specified items from the Working-Volume:

  • Selected Vertices
  • Selected Edges
  • Indicated Edge
  • Indicated Vertex
  • Face Map
  • Hierarchy
  • Vertex Mapping
  • All


Delete Selected Vertices

Deletes the selected Vertices from the Working-Volume.


Delete Selected Edges

Deletes the selected Edges from the Working-Volume.

Only the selected edges are deleted while the selected vertices at both ends of the edges remain.


Delete Indicated Edge

Deletes the indicated edge from the Working-Volume.

An edge is indicated by placing the 3D Cursor directly over the specified edge.


Delete Indicated Vertex

Deletes the indicated vertex from the Working-Volume.

A vertex is indicated by placing the 3D Cursor directly over the specified vertex.


Delete Face Map

Delete an image map from the model currently displayed in the Working-Volume.

Choose the map to be deleted from the list of maps for this model.


Delete Hierarchy

Deletes the names and Joints in the Skeleton hierarchy.


Delete Vertex Mapping

Deletes all the vertex mapping coordinates from selected vertices.


Delete All

Delete the entire model's database.

This command cannot be undone. A faster alternative is to use CTRL+N, as this operation is functionally identical to the New command.


NURBSNon

NURBS

Non-Rational B-Splines Surface (NURBS) are surface patches that are specified by positioning control points around the patch so that it can take up a curved shape. They are used in CAD software because they are very good at modelling any shape. By combining several NURBS patches geometry of almost any complexity can be created.

NURBS belong to the category of Constructive Solid Geometry primitives and before they can be rendered by OpenFX, or manipulated with many of OpenFX's modelling tools (e.g. Lathe & Extrude) or have any texture or image map applied, they have to be tesselated (that is converted to a mesh of triangular primitives. Because all the curvature information is preserved in a NURBS surface we have the option to tesselate the mesh to any level of detail we desire.

nurbs.jpg (44379 bytes)


ZZNURBS

NURBS Commands

This is the general help page for NURBS patches. Before using OpenFX's NURBS patches you should be familiar with the NURBS modelling concept and the terms used in NURBS such as knots and weights.

Use the Vertex tool to select and edit/move individual NURBS knots (Hold Ctrl/click to select several knots in the NURBS patch. Or, use vertex area selector to select several knots.)

Basic Patch
Create a basic NURBS patch that can be edited. (4 by 4 orders) with 4 by 4 knots.

Torus Patch
Create a NURBS bptch that can represent a Torus.

Teapot
Create a set of NURBS patches that model a Teapot. (This is an example of a complex shape very accurately represented by NURBS patches.

Create NURBS Patch
Create a general NURBS patch.

Delete Selected Patch
Delete the selected NURBS patch.

Insert Knot
Insert a knot in the NURBS patch.

Set Weights
Set the knot weights at the selected control points.

Split Selcted Patches
Split the patch in either the U or V direction so that it becomes two patches.

Select All
Select all NURBS patches

Deselect All
Select all NURBS patches

Swap Selection
Switch the selection state of all NURBS patches.

Hide Selected
Hide the selected NURBS patches.

Reveal Hidden
Reveal any hidden NURBS patches

Regular Triangulation
Tesselate the selected NUBS patch to generate a triangular mesh that can be modelled further in OpenFX. The number of U amd V rows in the mesh is constant.

Adaptive Triangulation
Tesselate the selected NUBS patch to generate a triangular mesh that can be modelled further in OpenFX. The number of U amd V rows in the mesh is adapted to meet the curvature of the NURBS patch.

nurbs.jpg (213749 bytes)


Hierarchy Joints...

Create, modify or use for selection purposes the Skeleton Hierarchy dialog.

Note: Skeletons created in this way have no particular geometric relationship to the vertices, edges and faces in the model.

Select named vertices
Deselect named vertices
Select named vertices including those of children
Hide named vertices
Reveal previously hidden named vertices
Attach selected vertices to name
Detach selected vertices from name
Add name
Delete name


Skeleton

Provides various commands and tools for manipulating the Skeleton of a Model.

  • Build Joints
  • Reposition Joints
  • Set Joint Rotation
  • Remove Joint
  • Insert Joint
  • Attach to Joint
  • Select Joints

The Pose and Rubber Bones tools have special purposes that only apply to action in the designer.

  • Pose
  • Rubber Bones

The main Skeleton tools can also be actioned through the Skeleton toolbar

skeleton-toolbar.png (12034 bytes)


unsaved:///newpage1.htm

Reset Weights

This resets the Skeleton bone weights etc.

skeleton-weights.png (12364 bytes)

Each skeleton bone has three properties associated with it. The weight, the range and the zone. The use of these depends on whether it is to be used in the Designer a a mesh deformation tool, or for use in the Renderer to implement Mesh Skinning for a Robot actor.

In the Designer the use is as follows as a deformation modelling tool:

The weight attribute is relative and is used to determine the influence that a bone has on the vertices associated with it. The range and zone settings are defined in the current units. (But see below when used in Skeleton (Robot) Skinning.

Weight
The weight value is relative and specifies magnitude of the influence that this bone has on the vertices associated with it.

Range
The range provides the distance effect of the bone.

Zone
The zone gives the distance at the far end of the range ovesr which the bone's influence falls to zero.

The example below illustrates the appearance of the skeleton with its range illustrated. (The Zone is not explicitly illustrated in the Designer windows.)

Note that the Weight, Range and Zone are used in the Renderer when the skeleton is deformed and also when the "Rubber Bones" deformation tool is used.

skeleton-weights-diagram.png (72651 bytes)

The rubber bone model depends on wether it is to be used for local deformation in the Designer or used in Robot (Skeleton) skinning by the renderer.

Meaning 1) For use only within the Modeller.
Here: Each bone has a degree of 'Pull' towards it - this is the Weight (0 -> 1). The bone's pull extends over a Range of influence - this is the Range. The bone's pull decreases linearly to zero over the Zone distance beyond the 'Range' until it fades to zero influence.

In the modeller the units given in the Range and Zone are in current Units.

Meaning 2) For use with a Robot actor with automatic skinning.
Here: The Weight defines how much influcence the bone (to which a vertex is assigned) exerts at its end. Thus if a bone has a weight of 1 then vertices attached to that vertex are NOT influecened at all by any parent or child bones. A weight of 0.5 means that any vertex at either end of the bone is influenced equally by the adjacent bones. A weight of 0.0 means that any vertex at the ends of the bone are moved as if they were part of a parent or child bone. (Note that for skinning purposes onlp parent and child bones will influence a bone (even if there are nearer bones in a different part of the skeleton.)

The Range parameter sets how much of bone is influenced by its adjacent parent.) A value of 0.24 means that any vertex in the last 1/4 of the bone wil be influenced by the parent bone.

The Zone parameter sets how much of the bone is influenced by its adacent child bones. (Note there can be more than one child bones - the average of their influence is taken - but there can be only one parent.

When Skinning in the renderer the Range and Zone parameters are specified as a % of the length of the bone.


Auto-Attach

Use this command to attach vertices to a bone in a skeleton automatically. The algorithm examines every selected vertex and tries to assign it to the nearest bone within range. (Bones lying outside their range from the vertex are not considered.)


Design: Rubber Bone model.

Rubber Bone Model

When the model is being distorted using the rubber bones there are two possible ways in which that distortion is applied. (This only applies in the Designer, the Renderer does not perform rubber bone deformation. The renderer only deforms vertices attached to the Skeleton.)

The two models are:

  • Constant scaling
    In constant scaling the effect of the bone's weight is constant at all points inside the 'Range' distance form the bone.

  • Variable scaling
    In variable scaling the effect of a bone's weight decreaes, the further a vertex is away from the bone.

Note: that the rubber bone model depends on wether it is to be used for local deformation in the Designer or used in Robot (Skeleton) skinning by the renderer.

Meaning 1) For use only within the Modeller.
Here: Each bone has a degree of 'Pull' towards it - this is the Weight (0 -> 1). The bone's pull extends over a Range of influence - this is the Range. The bone's pull decreases linearly to zero over the Zone distance beyond the 'Range' until it fades to zero influence.

In the modeller the units given in the Range and Zone are in current Units.

Meaning 2) For use with a Robot actor with automatic skinning.
Here: The Weight defines how much influcence the bone (to which a vertex is assigned) exerts at its end. Thus if a bone has a weight of 1 then vertices attached to that vertex are NOT influecened at all by any parent or child bones. A weight of 0.5 means that any vertex at either end of the bone is influenced equally by the adjacent bones. A weight of 0.0 means that any vertex at the ends of the bone are moved as if they were part of a parent or child bone. (Note that for skinning purposes onlp parent and child bones will influence a bone (even if there are nearer bones in a different part of the skeleton.)

The Range parameter sets how much of bone is influenced by its adjacent parent.) A value of 0.24 means that any vertex in the last 1/4 of the bone wil be influenced by the parent bone.

The Zone parameter sets how much of the bone is influenced by its adacent child bones. (Note there can be more than one child bones - the average of their influence is taken - but there can be only one parent.

When Skinning in the renderer the Range and Zone parameters are specified as a % of the length of the bone.


Build Skeleton Joints

Build a Skeleton by adding Joints. The model's vertices and edges remain visible and any Skeleton is drawn superimposed on top of these. The root node may be the only visible node, but a rough Skeleton may be visible due to prior use of the Names Hierarchy Dialog.

Adding a Skeleton Joint is similar to building a curve with the 3D Plot Tool. Click and drag the 3D Cursor near to the node at the end of the Joint to which the new Joint is to be added. Hold down the left mouse button and click the right button to attach the new joint to the one at the 3D cursor. Click and drag the rubber band line until the 3D cursor is at the position for the new node. Hold down the left mouse button and click the right button to create the new joint with it's node at the 3D cursor.

This is all sort of like sticking a pipe-cleaner armature into a clay figure. The basic shape or mesh is there, you are applying the organizational structure for controlled movement.


Reposition Skeleton Joints

Change the shape of the Skeleton by moving Joints .

Click and drag the 3D cursor near to the node at the end of the Joint to be stretched. Hold down the left mouse button and click the right button to pick up the node. Drag the mouse (keeping the left button pressed) the node will follow the 3D cursor and the joint will stretch. If the CTRL modifier key is held down while dragging the mouse, all child joints will undergo a rigid body motion.


Set Skeleton Joint Rotation

Twist Skeleton Joint around it's axis.

Click and drag the 3D cursor near to the node at the end of the Joint to be twisted. Hold down the left mouse button and click the right button to select the node. Drag the mouse (keeping the left button pressed) to pivot the local nodal axes around the Joint's Axis. Release the left button when the axes are in the desired direction. The directions of the local axes are used to build the bounding box for vertices attached to the Joint.


Remove Skeleton Joint

Remove a Joint from the Skeleton.

Click and drag the 3D Cursor near to the node at the end of the Joint to be removed. Hold down the left mouse button and click the right button to delete the Joint. Any child joints become attached to the parent of the deleted Joint. The root node cannot be deleted.


Insert Skeleton Joint

Add a Joint in the middle of an existing Joint.

Click and drag the 3D Cursor near to the node at the end of the Joint to be subdivided. Hold down the left mouse button and click the right button to subdivide the Joint.


Attach to Skeleton Joint

Assign vertices to one of the Skeleton's Joints.

Before using this command, select the vertices that are to be attached to the Skeleton node. Click and drag the 3D Cursor near to the node at the end of the Joint to which the vertices are to be attached. Hold down the left mouse button and click the right button to attach. The Window title bar will go inactive to indicate a successful operation.

Note: You will probably find it much easier to use the Name Hierarchy to assign vertices to Skeleton nodes. First draw the Skeleton and give each node a name, then use the Names hierarchy to assign selected vertices to the named Joints.


Select Skeleton Joints

Select vertices attached to a Skeleton's Joint.

Click and drag the 3D Cursor near to the node at the end of the Joint to which is to have it's attached vertices selected. Hold down the left mouse button and click the right button to make the selection.

Using he Hierarchy Joints dialog is probably a more efficient way to select parts of the Skeleton.


C:\Openfx\HELP\DESIGN\Topics\skAutoAttach.htm

Duplicate

Clicking on a node at the end of a bone will create a new node and bone in the skeleton. The bone is attached to the parent of the indicated bone. If the indicated bone has any descendent bones they will also be duplicated.

duplicate-skeleton.jpg (108258 bytes)


C:\Openfx\HELP\DESIGN\Topics\skAutoAttach.htm

Rubber Bones

This tool facilitates an elastic type of deformation to all selected vertices using the bones of the skeleton to seed that deformation. A good analogy is the idea of the bones in the skeleton being a set of magnets pulling the model's surface with them as they move around.
The Robber Bones tool can also be used to set up Skinning Weights for Skeletal/Robot actors. (See below)

The Shift, Ctrl, and Alt keys modify the behaviour of the tool.

The default action of the tool is that of click on a node at the end of a bone and drag it.

The Skeleton uses a parent-child hierarchy between the bones and nodes, with one of the nodes being described as the Root node. The Root node is the only node without a bone or a parent:

skeleton.jpg (63952 bytes)

Here, the root node has one child (node 1) Node 1's parent is the root node and node 1 has two children, (nodes 2 and 4.) Node 1 is the parent of nodes 2 and 4. Node 2's parent is node 1. Node 3's parent is node 4. Node 5's parent is also node 4.

All the node hierarchies can be traced back to the root node. The ancestors of node 3 are, 4,1,root. Those of node 2 are 1,root.

The modifier keys change the default behaviour in the following way.

Shift Key
Holding down the shift key while moving one of the bone nodes causes all descendent nodes to move by the same amount as the node being moved. For example in the diagram above if node 1 is moved then nodes 2,4,3,5 also move by the same displacement. If node 4 is moved then nodes 3 and 5 also move.

Ctrl Key
Holding down the Ctrl key while moving one of the bones also causes the parent of that bone to move by the same amount. For example, if node 2 is moved then node 1 also moves. If node 4 is moved then node 1 also moves.

Alt Key
Holding down the Alt key while moving the mouse causes the bone (and all its descendants) to rotate around the parent location. The rotation takes place around the normal to the plane of the view. Thus, clicking and dragging in the Top window causes rotation around the vertical Z axis. For example if node 4 is moved then nodes 4,3, and 5 rotate around node 1. All the bones maintain their original length.

The effect that the use of this tool has on the vertices will depend on how they are positioned relative to the bones.

rubber-bones.jpg (927672 bytes)

This diagram shows three examples.

  1. Two spheres and two bones. The extent of the range is shown for each bone, this is drawn as a radius around each end of the bone. The range of bone 1 extends over the whole of sphere 1 but does not influence sphere 2. The range of bone 2 is larger and does extend to cover the sphere around bone 1. When bone 2 is elongated (by moving node 2) there is a small distortion of the top part of the sphere around bone 1.
    When we rotate bone 1, the sphere around it is distorted but the influence does not affect the sphere at the end of bone 2 as it is too far away.
  2. In this example we see the effect of distorting a sphere when all vertices lies within the range of all the bones.
  3. Example 2a is a variation of example 2, where the bone joining nodes 3 and 4 lies too far away from the vertices in the sphere to influence it. The result of moving vertices 1&2 and 3&4 together is illustrated. (Moving 3&4 has no effect) Moving 1&2 causes an 'on-block' move of the the vertices because all those bones influencing the vertices move by the same amount at the same time.

Mesh Skinning:

The rubber bone settings can also be used for mesh skinning. Thus its use depends on wether it is to be used for local deformation in the Designer or used in Robot (Skeleton) skinning by the renderer.

Meaning 1) For use only within the Modeller.
Here: Each bone has a degree of 'Pull' towards it - this is the Weight (0 -> 1). The bone's pull extends over a Range of influence - this is the Range. The bone's pull decreases linearly to zero over the Zone distance beyond the 'Range' until it fades to zero influence.

In the modeller the units given in the Range and Zone are in current Units.

Meaning 2) For use with a Robot actor with automatic skinning.
Here: The Weight defines how much influcence the bone (to which a vertex is assigned) exerts at its end. Thus if a bone has a weight of 1 then vertices attached to that vertex are NOT influecened at all by any parent or child bones. A weight of 0.5 means that any vertex at either end of the bone is influenced equally by the adjacent bones. A weight of 0.0 means that any vertex at the ends of the bone are moved as if they were part of a parent or child bone. (Note that for skinning purposes onlp parent and child bones will influence a bone (even if there are nearer bones in a different part of the skeleton.)

The Range parameter sets how much of bone is influenced by its adjacent parent.) A value of 0.24 means that any vertex in the last 1/4 of the bone wil be influenced by the parent bone.

The Zone parameter sets how much of the bone is influenced by its adacent child bones. (Note there can be more than one child bones - the average of their influence is taken - but there can be only one parent.

When Skinning in the renderer the Range and Zone parameters are specified as a % of the length of the bone.


C:\Openfx\HELP\DESIGN\Topics\skAutoAttach.htm

Rename and re-weight

Use this command to rename the bones in a skeleton and also to change its weights. Click on a node at the end of the bone to be edited.

The rubber bone settings can also be used for mesh skinning. Thus its use depends on wether it is to be used for local deformation in the Designer or used in Robot (Skeleton) skinning by the renderer.

Meaning 1) For use only within the Modeller.
Here: Each bone has a degree of 'Pull' towards it - this is the Weight (0 -> 1). The bone's pull extends over a Range of influence - this is the Range. The bone's pull decreases linearly to zero over the Zone distance beyond the 'Range' until it fades to zero influence.

In the modeller the units given in the Range and Zone are in current Units.

Meaning 2) For use with a Robot actor with automatic skinning.
Here: The Weight defines how much influcence the bone (to which a vertex is assigned) exerts at its end. Thus if a bone has a weight of 1 then vertices attached to that vertex are NOT influecened at all by any parent or child bones. A weight of 0.5 means that any vertex at either end of the bone is influenced equally by the adjacent bones. A weight of 0.0 means that any vertex at the ends of the bone are moved as if they were part of a parent or child bone. (Note that for skinning purposes onlp parent and child bones will influence a bone (even if there are nearer bones in a different part of the skeleton.)

The Range parameter sets how much of bone is influenced by its adjacent parent.) A value of 0.24 means that any vertex in the last 1/4 of the bone wil be influenced by the parent bone.

The Zone parameter sets how much of the bone is influenced by its adacent child bones. (Note there can be more than one child bones - the average of their influence is taken - but there can be only one parent.

When Skinning in the renderer the Range and Zone parameters are specified as a % of the length of the bone.


Pose Skeleton

Pose the Model by pivoting the Skeleton around it's Joints. This will move those vertices in the model that are attached to Joints in the Skeleton. Movement pivots vertices attached to an indicated Joint around any one of four axes through the indicated Joint or its Parent.

When this command is executed, the vertices and edges in the model are hidden and the Skeleton is drawn with bounding boxes for each joint. Each bounding box is oriented to fit to the direction of the local axes setup by the Twist command.

Skeleton as Vertices | Skeleton as Bounding Boxes

To indicate a joint click on the small circle at each Joint's node. The color of the node will change and an axis will be highlighted, with a small circle drawn at one end of the axis.

Select a different axis of rotation by pressing the TAB key until the axis desired is highlighted. It may be necessary to rotate around more than axis to obtain the desired orientation of the bone.

To rotate the indicated Joint and all it's children, left-click-and-hold and drag the mouse left or right.


Select Menu

Describes the functions of the Designer's Select Menu commands.


Select All

Select all the non-hidden vertices in the model.


Deselect All

Deselect all the non-hidden vertices in the model.


Swap Selected

All vertices in a selected state are switched to the deselected state. All deselected vertices are switched to the selected state


Select by Map

Selects all vertices adjacent to any face with a specified map applied.

Choose one of the loaded image map for the model. If only one map is loaded, the dialog is skipped and the appropriate faces are selected.


Select by Shader

Select by Texture

Selects all vertices adjacent to any face with the specified texure applied.


Select by Color

Selects all vertices adjacent to any face with the specified color.

The color may be an exact or approximate match.


na

Select Vertices With Map Coordinates

Select the vertices that have mapping coordinates assigned.


na

Deselect Vertices With Map Coordinates

Deslect the vertices that have mapping coordinates assigned.


Deselect on Path

Deselects every nth vertex (where n = Gap value + 1) along a selected and indicated path.

Every other vertex is selected if a Gap of 1 is specified. Every third vertex would be selected if a gap of two was specified. Etc.

An example use of Deselect on Path is to create a "gear" shape.

1. Make a circle. Make sure that it doesn't have a vertex in the center.
2. Select the circle and indicate one of the vertices.
2. Choose the Deselect on Path command and a Gap value of 1.
3. Notice that every other vertex is now deselected.
4. Double-click on the scale tool.
5. Resize them larger or smaller, but make sure that the "From Center" option is selected, not "From Cursor".
6. Extrude the "gear" type shape to create the gear.


Build Menu

Describes the functions of the Designer's Build Menu commands.


Build Primitives

The Build Primitives dialog enables generation of Cone, Cube, Cylinder, Disk, Polygon, Rectangle, GEO Sphere, Latitude Sphere, Tube and Torus primitives by specified dimensions.

Choose the desired primitive, type in the dimensions, and press the Make button. The Build Primitives dialog is modeless so it can be left up if a number of primitives are to be inserted.

You can also interactively generate a primitive by choosing the desired Primitive's tab page and dragging out a bounding box in any of the Working-Volume TOP, FRONT, or SIDE views. The specified primitive will fill the space of the bounding box. Note that the Auto checkbox must be checked to interactively draw primitives.


Build Bezier Curves

Enables construction of 2D Bezier curves that can be inserted into the Working-Volume.

Draw and manipulate the desired Bezier curve using the Bezier Curve Tool Palette.

Moves the indicated vertex on Bezier curve
Moves the indicated Bezier curve
Draws Bezier curves. Click on another tool to end the curve.
Bends Bezier curves
Deletes an indicated vertex on Bezier curve
Deletes the indicated Bezier curve
Adds vertices to Bezier curve. Click on an existing vertex to place the new vertex half way between it and the one in front of it on the curve.

To insert Bezier curve into the Working-Volume execute the Edit > Build command.

Note that the Build Bezier Curve window is modeless so you can construct multiple Bezier curves at different heights. This is useful for building curved cross-sections that will be lofted to create a model.


Build Curve

Enables construction of curves by exact coordinates.

Enter either absolute coordinates or coordinates relative to the start of the curve.

1) Type in the desired coordinates and press the Start button.

2) Type in a second set of coordinates corresponding to the second vertex of the curve. Press the Make button.

3) Continue typing in coordinates corresponding to the third, fourth, etc. vertices of the curve. Press the Make button entering each vertex's coordinate.

4) Press the Close key to end curve.


Build from Plan

Constructs an object from a set of plans or elevations.

As an example, build a telephone handset from the set of plans in the Plan1.MFX file.

Execute the command File->Open and choose the file Plan1.MFX. Note that the model consists of three outlines of a telephone handset. The only difference between this and a regular set of plans is that each drawing is positioned in three dimensional space.

In order to build a model from a set of plans, the following conditions must be met:

  • The Side elevation outline must be deselected.
  • The other outlines must be selected.
  • The 3D cursor must be placed exactly on a vertex of the Front projection outline. If this outline is not closed, place the 3D cursor on one of the end vertices. Place the 3D Cursor near the desired vertex (make sure it is close in at least two views) and press the F2 key to snap exactly to the desired selected vertex.
  • The Side elevation outline should be a closed curve with no overhang. That is to say, a vertical line cutting the outline should intersect it twice.

The Plan outline should also be a closed curve without an overhang. In this case that means that a line going from left to right should intersect the outline twice. The model that we loaded satisfies the overhang tests. It only remains to deselect the vertices of the Side elevation.

Deselect the vertices of the Side elevation, and execute the Build > Build from Plan menu item. If all the criteria have been met, the Unplan Ready dialog is presented. If the dialog does not appear, the contents of the Working-Volume are not suitable for the command. Make sure the above conditions are met.

Click the Yes button to construct the object from the plans. Upon completion, the three plan outlines will be retained and all vertices will be deselected.

The resulting model should look like this.

If the Shift, Ctrl or Alt keys are held down as Yes is clicked the level of detail in the model will be greater. Alt gives the greatest level of detail. Essentially, a vertical section is created at every point in the Top and Side outlines unless two sections will be very close together. Holding the Alt key creates sections at every point unless a point is at exactly the same coordinate as another point. The default state (no modifier keys in use) combines sections if there will be no visible separation in the current size of the Working-Volume.


Build 3D Meshes

Builds a 3D mesh from a mathematical function z=f(x,y)

Choose the desired mathematical function and specify the grid size for the X,Y grid. The Z height is proportional to the function value at the grid point.


Build Circle

Builds a circle with the specified number of sides.

The circle is inserted with its center at the placement of the 3D Cursor.


Build Helix

Builds a Helix with the specified number of vertices.

The helix is inserted with its center at the placement of the 3D Cursor.


Build Subdivided Line

Builds a straight line path with variable vertex spacing.

Spaces the vertices using a mathematical formula along the length of the line. Specify the number of vertices and the spacing ratio between adjacent vertices.

The line is inserted with its center at the placement of the 3D Cursor.


Build Spiral

Builds a 2D (flat) spiral path

Specify the type of Spiral, number of points and range of the curve. An archimedian spiral spirals in. A logarithmic spiral spirals out.

The spiral is inserted with its center at the placement of the 3D Cursor.


Build 3D Spiral

Builds a 3D spiral path

Specify the type of Spiral, number of points and range of the curve. An archimedian spiral spirals in. A logarithmic spiral spirals out.

The spiral is inserted with its center at the placement of the 3D Cursor.


Build Terrain From Bitmap

Builds a 3D Terrian model from an image map.

Choose the desired 8 bit image file to use to build the 3D Terrain model.

Define the mesh density as low, medium, or high.

The number of rows defines the x density and the number of columns defines the y density of theTerrain mesh.

The Z (height) of the mesh is proportional to the color or luminance content in the image.

The Terrain is inserted with its center at the placement of the 3D Cursor.


Trace Bitmap Image

Trace a vertex and edge path over an image using a Plot-like tool.


Build Custom Bounding Box

Use these options to design the appearance of the simple outline model used in the Animator for Bounding Box drawing modes.

Make - All currently selected vertices and edges are built into the bounding box wireframe that is normally used to represent the model in the Animator. This is limited to a maximum of 50 vertices and edges.

Auto Make - Automatically creates a simple rectangular bounding box around the selected model.

Unmake - If a bounding box wireframe exists, it is converted into vertices and edges but the bounding box wireframe is maintained.

Clear - If a bounding box wireframe exists, it is converted into vertices and edges and the bounding box wireframe is erased.


Plug-in Modeling Tools

Plug-in Tools

Enables loading of third party plug-in tools. The following dialog appears with a selection of the tool in the PLUGINS folder.


Actions Menu

Describes the functions of the Deisgner's Actions Menu commands.


Rotate Action

Rotate selected vertices around the position of the 3D cursor via a numerical angel of rotation.

Enter numerical angle of rotation in the dialog and specify whether the rotation is to be clockwise or counterclockwise.

Rotation takes place at the position of the 3D cursor, around an axis at right angles to the active window.


Scale Action

Scales selected vertices or faces by a numeric factor.

The expansion can be optionally turned off in the up/down(Z) left/right(X) or front/back(Y) directions.

Vertices - Scales the selected vertices either from the 3D Cursor position or the Center of the selected vertices. This is the most commonly used option.

Faces - Scales the selected face size only without affecting the size of the model itself.

From Cursor - Scales the selected vertices or faces relative to the position of the 3D Cursor.

From Center - Scales the selected vertices or faces to the center of the selected vertices or faces.


Snap Cursor

Moves the 3D Cursor to a specified position as determined by one of the following rules.


Snap Cursor To Center

Moves the 3D Cursor to the Center of the Model in the Working-Volume.

The Center of a group of vertices is the three dimensional midpoint of an imaginary rectangular box which encloses the vertices, assuming that the box is aligned with the coordinate axes.


Snap Cursor to Center Selected

Moves the 3D Cursor to the Center of the selected vertices of the Model in the Working-Volume.

The Center of a group of vertices is the three dimensional midpoint of an imaginary rectangular box which encloses the vertices, assuming that the box is aligned with the coordinate axes.


Snap Cursor to Centroid

Moves the 3D Cursor to the Centroid of the Model in the Working-Volume.

The Centroid of a group of vertices is the center of gravity or the average of the individual positions of the vertices.


Snap Cursor to Closest

Moves the 3D Cursor to the closest non-hidden vertex in the Working-Volume.

Note that closest means in 3D space. Set the 3D Cursor as close as possible to the desired vertex in at least two Working-Volume views to ensure the desired vertex is snapped to.


Snap Cursor to Closest Selected

Moves the 3D Cursor to the closest selected vertex in the Working-Volume.

Note that closest means in 3D space. Set the 3D Cursor as close as possible to the desired selected vertex in at least two Working-Volume views to ensure the desired selected vertex is snapped to.


Snap Cursor to Horizontal Plane

Moves the 3D Cursor to the Center point of the vertices in the X,Y plane, keeping the Z coordinate of the 3D Cursor constant.


Move Cursor by...

Moves the 3D Cursor to by the increment specified in the edit fields of the dialog box.


Store Cursor Location

Store the present location of the 3D Cursor.


Snap Cursor to Stored Value

Move the 3D Cursor to the Stored Value.


Snap Cursor to Coordinate

Move the 3D Cursor to the specified coordinate position.


Snap Cursor to Vertical Plane (F/B)

Moves the 3D Cursor to the Center point of the vertices in the X,Y plane, keeping the X coordinate of the 3D Cursor constant.


Snap Cursor to Vertical Plane (R/L)

wSnap Cursor to Vertical Plane (R/L)

Moves the 3D Cursor to the Center point of the vertices in the X,Y plane, keeping the Y coordinate of the 3D Cursor constant.


Extrude

Extrude selected vertices and edges to make a 3D shape.

After executing the Extrude action, the tool reverts to the Move Tool. Drag the newly duplicated and selected vertices to the desired length of the extrusion.

Note that you can also put a thickness on some models by extruding and then scaling to the desired thickness.

To extrude selected vertices along a defined path, use the Actions > Extrude Special > Along action.


Extrude Special

Extrude using specifed techniques the selected vertices and edges to make a 3D shape.


Extrude Along...

Extrude the selected vertices and edges along a path to make a 3D shape.

The following shows how to build a bendy type tube.

1) Add a Circle.
2) Draw a curved line as shown in the example below.
3) Deselect all vertices. Select the vertices of the cross-section that is to be extruded.
4) Move the 3D cursor to the first vertex of the extrusion path. With the Object Selector tool, click on this first vertex to select all vertices on the path.

5) Execute the Extrude-> Along menu item, and if the program decides the set-up is OK, a dialog will appear for final confirmation.

6) Press the OK button using the default expansion factor of 1.0000.
7) The circle will be extruded along the curve line segment as shown below.

The Extrude function can also scale up or scale down the shape as it extrudes along the curve. Click on the Expand option when the action requests confirmation, then enter the expansion factor. This factor is the expansion that occurs between the first and last point on the extrusion path.

In the example below, extruding a circle along a curve with an expansion factor of three, the radius of the circle at the end of the curve is three times the radius at the start of the curve.

# map images - If Fixed-To mapping coordinates are assigned to the vertices being extruded, the action will extrude the coordinates along the curve as well. The number of times the map is repeated in the extrusion is entered in the action dialog.


Extrude Bevel...

Extrude the selected vertices into a bevel.

This action puts a bevel on a closed curve. The angle of the bevel must be specified and the curve must be planar but it may have several (closed) pieces and part of it may enclose other pieces (holes).

Place the 3D Cursor in the direction and at the distance to which you wish the bevel to extrude. The bevel will extrude out until it reaches a plane parallel to the plane of the curve and in which the 3D Cursor lies.

Curves that lie inside other curves are considered to be holes, and they will bevel with the opposite angle to (but to the same plane as) the outer curves. The selected vertices must form a set of closed curves if the Bevel function is to work properly.

If the action gets stuck, it may be aborted by pressing the ESC key.


Extrude Round Over...

Extrude the selected vertices into a roundover bevel.

This action is very similar to the Extrude Bevel action except that a rounded bevel is created on the set of curves. The extrusion takes place on the side of the plane in which the 3D Cursor lies. It extends away from the curve until it reaches the position of the 3D Cursor.

Curves that lie inside other curves are considered to be holes, and they will bevel with the opposite angle to (but to the same plane as) the outer curves. The selected vertices must form a set of closed curves if the Round Over function is to work properly.

If the action gets stuck, it may be aborted by pressing the ESC key.


Duplicate

Creates copies of all selected vertices, edges, and faces.

The copy is superimposed on the original, the copy's vertices are selected, the original's vertices are deselected, and the Move tool is turned on, ready to move the copy to another place.

Note: An edge is selected if the vertices at both ends are selected, and a face is selected if the three corner vertices are selected.


Duplicate Special

Creates copies of selected vertices, edges, and faces as Connected copies or as specificed Multiple copies.


Duplicate Connected

Create duplicates of selected vertices and place them on a connected "mesh".

Select vertices to be duplicated. Place the 3D Cursor near a vertex in the mesh over which the other selected vertices are to be duplicated and execute the action.

You can use this action to position a large amount of small details on a model.


Duplicate Multi...

Copy the selected vertices in a rotationally symmetric fashion by placing the required number of copies symmetrically around a specified axis.

This action is like the Lathe action except that a copy is placed at each section.


Boolean Action

Uses one or more shapes as tools to cut or trim into other shapes.

Sculpt objects with another model piece to drastically alter the shape of it. The example below uses the checkered sphere as a tool to cut into the red cube. After performing the Boolean Action, the cut pieces can be removed in various combination to create new models.

Union | Subtraction | Intersection

To perform a boolean operation, do the following:

1) Intersect the a sphere and cube as shown in the Union picture (don't worry about adding a checker texture to the sphere).

2) Select the vertices of the sphere to indicate that it is the cutting Tool. Make sure the vertices of the cube are deselected to indicate that it is the Workpiece.

3) Execute the Boolean Action command and the following dialog appears.

4) Choose the Yes and Both options and press OK.

5) Delete the vertices of the desired fragments to sculpt new shapes such as the Union, Subtraction, and Intersection examples.

6) To make a single object out of the separate pieces, select all vertices and perform the Weld command with a very small threshhold.

Tool - The tool object is used for cutting and is specified by selecting its vertices.

Workpiece - The workpiece is the object that is to be cut by the tool. The vertices defining the workpiece must be deselected.

Split into Bits - Breaks tool and workpiece into separate pieces in Yes enabled.

Cut Tool and Workpiece - Both option cuts both the tool (selected vertices) and the workpiece (deselected vertices). The Workpiece Only option only cuts the workpiece (deselected vertices) without cutting the tool (selected vertices) itself.

If any cut pieces form a closed loop, the fragments are separated and given a name in the Skeleton Hierarchy dialog. Note that the Boolean function may create some stray vertices and edges that do not form faces. Delete these from the final scene.

Do not hide any vertices that form part of the tool or workpiece. Hiding other vertices will help speed up the boolean operation.


Fill to Cursor

Creates faces to fill a space surrounded by selected vertices. An extra vertex is placed at the 3D Cursor position. The extra vertex is then joined to every other selected vertex by new edges. Where the edges form faces, new faces are added.

This function is most useful for filling convex outlines.

Unfilled Outline

Fill to Cursor with 3D Cursor on same plane as outline's vertices

Fill to Cursor with 3D Cursor above the plane with outline's vertices


Turn Action

Turn Indicated Edge

This action applies to the indicated edge at the 3D cursor. If the indicated edge has two adjacent faces then these two faces can be considered to represent a quadilateral. Turning this edge has the effect of switching it, so that it divides the quadilateral into two by joing the other two vertices. For example, before:

wpe6.jpg (15804 bytes)

After:

wpe7.jpg (15452 bytes)

This can be very helpful when building models with very small numbers of faces so that the surface takes up a more regular appearance.


Fill Outline

Fills single or multiple closed curves with edges and faces to make the outline solid and visible when rendered.

The curves must lie in the same plane and must not intersect or be looped. If one curve lies inside another it will result in a hole in the outline as in the internal hollow of the letter

Unfilled Outline

Filled Outline


Lathe

Make rotationally symmetric shapes as on a lathe.

The action extrudes the selected vertices while rotating them around an axis. The axis runs at right angles to the active window.

Two parameters must be specified in the Lathe dialog.

1) The number of sections (smoothness of the lathe)
2) The angle to spin (usually 360 degrees, a maximum of one revolution).

Example: Use the Lathe action to create a wine-glass. In the Front view window, draw the profile of half of a wine glass. Use the Pen Tool or 3D Plot Tool to draw the outline.

When you are satisfied with the outline, position the 3D cursor in the Top view window. The Top window will now be the active one and is highlighted with a yellow border. The axis of spin of the lathe will therefore be at right angles to the Top window, that is, up/down or in the direction of the Z axis.

Make sure that all the vertices of the outline are selected, then execute the Lathe action. If you do not get anything that resembles a wine glass, Undo it and try again.

If you move the 3D Cursor in any window other than the Top window, you will deactivate the Top window and the Lathe action will produce a structure which is the result of spinning around an axis perpendicular to another window. The result is a total mess. When done properly, however, a good model for a wine glass can be produced in seconds.

The Lathe action is tremendously powerful for building parts of models with a high degree of rotational symmetry. Examples of this are: chess pieces, aircraft engines, pens, pencils, glasses, lamp shades, space rockets, etc.


Loft Curves

Lofts or skins two separate closed Curves to create a surface.

The Loft Curve process is similar to lofting bulkhead frames in boatbuilding. The curves' vertices must all be selected. The curves must not have loops or gaps. Any difference in the number of vertices of the first curve will be evenly distributed among the nearest corresponding vertices in the second curve. That is, a curve with 20 vertices can be smoothly lofted to a curve having only 10 vertices.

Before Lofting

After Lofting

To Loft more than two Curves, use the Join Closed Curves action.


Join Closed Curves

Lofts or skins two or more separate closed Curves to create a surface.

The join closed curves process is similar to lofting bulkhead frames in boatbuilding. The curves' vertices must all be selected. The curves must not have loops or gaps. Any difference in the number of vertices of the first curve will be evenly distributed among the nearest corresponding vertices in the second curve. That is, a curve with 20 vertices can be smoothly lofted to a curve having only 10 vertices.

Before Joining Curves

After Joining Curves


Make Facet or Edge

Creates an Edge between two selected Vertices .

Creates a Face between three selected Vertices . One, two, or three edges are added to create the face depending on the number of edges originally connecting the three selected vertices. The newly created face will have the default texture and color attributes

If more than three vertices are selected, neither an edge or face is created.


Make Vertex at Cursor

Creates a selected Vertex at the location of the 3D Cursor .


Mirror...

All selected vertices are moved to their mirror image position.

The mirror plane passes through the 3D cursor at right angles to the active window.

Vertical line - Mirrors the selected vertices through a vertical line passing through the position of the 3D Cursor in the active Working-Volume view.

Horizontal line - Mirrors the selected vertices through a horizontal line passing through the position of the 3D Cursor in the active Working-Volume view.

Copy, Reflect, and Weld - Makes a copy of the selected vertices, mirrors them, and welds the indicated vertex of the original selected vertices to the mirrored indicated vertex. Welding will not occur if the 3D Cursor is not indicating a vertex before the Mirror action is executed.


Orient Faces

Changes the order of the vertices at each corner of a triangular face so that adjacent faces have the same orientation (ie. clockwise or counter clockwise).

Useful in concert with the Reverse Face Normals action for exporting models to other 3D packages. Sometimes it can help the renderer produce slightly higher quality images.


Reverse Face Normals

Reverses the face normals associated with the selected vertices so that the faces pointing inwards will point outwards and visa versa.

Useful in concert with the Orient Faces action for cleaning up imported models that may not support two sided faces.

Turning off the Two Sided Polygons option in the ViewOpenGL menu reveals the faces that are "pointing inwards" in that they render dark.


Smooth

Smooths out a path or curve by aligning it on a spline.

Select vertices in the path. Place the 3D cursor at the first vertex on the path, then execute the action. The first and last edges control the initial and ending vectors of the spline. The remainder of the vertices along the path will be moved to a smooth spline conforming to these controls.

Modifiers-> Modify the strength of the smoothing operation by SHIFT, ALT and CTRL keys. The CTRL Key shows a dialog in which flexibility at both ends of the curve may be specified.


Subdivide

Divides selected edges in two by adding a vertex at the edges' midpoint.

If a divided edge bounds a face , extra faces are also added to make sure all faces remain triangular.

Before Subdivision

After Subdivision

Contrast this type subdivision with the Tesselate action.


Twist Along

Twists and optionally extrudes the selected vertices and edges along a path to make a 3D coil type shapes.

Useful for making models like a telephone cord. Entire models can also be copied and twisted along the path.

The following shows how to build a twisted cord.

1) Add a Circle.
2) Draw a curved line as shown in the example below.
3) Deselect all vertices. Select the vertices of the cross-section that is to be twisted.
4) Move the 3D cursor to the first vertex of the twist path. With the Object Selector tool, click on this first vertex to select all vertices on the path.

5) Execute the Twist > Along menu item, and if the program decides the set-up is OK, a dialog will appear for final confirmation.

6) Press the OK button using the default Number of Steps and Angle Turned.
7) The circle will be extruded along the curve line segment as shown below.

Number of Steps - Specifies the number of twisted extrusions or copies to be generated between each vertex on the path. If the path has 10 vertices and 8 steps are specified, then 80 total copies of the original are generated with 8 copies between each vertex.

Angle Turned - Specifies the angle to spin (usually 360 degrees, a maximum of one full revolution).

Extrude - Extrudes the original shape as it twists along the path.

Copy - Makes individual and unconnected copies the original shape as it twists along the path.

# map images - If Fixed-To mapping coordinates are assigned to the vertices being extruded, the action will extrude the coordinates along the curve as well. The number of times the map is repeated in the extrusion is entered in the action dialog.


Weld

Combines several selected Vertices into one.

To Cursor - Condenses all selected vertices to the position of the 3D cursor. Use this action to tidy vertices. For example; if several vertices are very close together, Weld them into one single vertex. This action makes a model cleaner. This means that the rendering and drawing time is decreased and the model is easier to work with.

It can also be used for closing holes in a model. If you Lathe an outline into a 3D shape, the Lathe action will leave holes at the top and bottom of the shape. You can either use the Weld or Fill to Cursor actions to close these holes. When the vertices are condensed, the appropriate edges and faces will automatically switch to using the new vertex.

To Centroid - Takes all selected vertices and condenses them into a single vertex located at the center of the selected vertices.

Weld: Join or weld parts of a model together. For this to operate, a threshold radius (specified in the current units) is required. All vertices that lie within the threshold radius of each other are condensed together. This action can be used to close the ends of tubes. It should be used with care because it is easy to enter a threshold that is too large, resulting in the wrong vertices being condensed together. If a mistake is made, Undo the action, set a smaller threshold radius and try again.

The default threshhold radius is the distance from the 3D Cursor to the nearest selected vertex.


Split Map Material Edges

Separate Polygons

Breaks selected faces into separate individual pieces.

Normally model faces are part of a polyface network, two faces could have a common edge and several might have a common vertex. This action breaks faces into individual pieces. After the action, each face will have 3 separate edges and 3 separate vertices. No face will have a common edge or vertex. The new vertices will be at the same coordinate as the original so the model will not look different until the faces are moved.

To animate a model exploding into pieces, execute the Separate Polygons action first before executing the Explode Polygons action.

Note that Phong smoothing is not applicable because the faces are now separate entities.


Explode Polygons

Explodes the polygons according to the specified rules.

Choose from the following options:

Explode from center of model faces - Explodes the polygons from the model's center point.

Sphere center on 3D cursor - Explodes the polygons to the approximation of a sphere.

Horizontal plane at 3D cursor - Flattens or collapses the selected polygons to a zero height (Z dimension) and places the flattened polygons at the position of the 3D Cursor.

Vertical Plane (Front/Back) at 3D cursor - Flattens or collapses the selected polygons to a zero length (X dimension) and places the flattened polygons at the position of the 3D Cursor.

Vertical Plane (Left/Right) at 3D cursor - Flattens or collapses the selected polygons to a zero width (Y dimension) and places the flattened polygons at the position of the 3D Cursor.

Move vertices to nearest grid points - Explodes the polygons such that the vertex of each polygon is moved to the nearest active grid point.

Face Explosion Options

Random | Explodes the polygons randomly using the specified explosion factors. Recommended for exploding vehicles, spaceships, etc.
Proportion | Explodes the polygons proportionately to the polygon size.
Uniform | Explodes the polygons uniformly.

Explosion Factors - The greater the specified factor the more the polygons are exploded from each other. Note negative values can be entered to explode the polygons inward.


Split Map Material Edges

Split along Material or Map Edges

This command will divide a surface into separate parts along the boundaries between faces that have a different map or material. This is a very helpful feature where one might wish to have two parts of model that are made up from a continuous network of polygons but painted with different texture or image maps may wish to use different mapping co-ordinates. Since mapping co-ordinates are assigned on a 'per vertex' basis any two polygons that use the same vertex cannot use different mapping co-ordinates. Thus, by splitting a model along the edges where two maps/materials meet it is possible to assign different mapping co-ordinates to the two maps. The additional edges and vertices created by this action lie at the same place as the original vertices and edges. However because the pieces are not distinct, the object selection tool can select them individually.


Grow

This action moves all the vertices a distance away from their current position along the normal direction to the surface at that vertex.

For example this cube will grow into a sphere like object:

grow.png (115725 bytes)


PlugIn Actions

Displays additional PlugIn Actions that are provided as separate components. Additional help information is provided with the action itself or via the OpenFX.org web.


Attributes Menu

Describes the functions of the Designer's Attributes Menu commands.


Attributes Material Settings

Attributes Mesh Maps and Materials...

Specifies the surface attribues face attributes such as:

  1. Basic Attributes (Used for compatibiliyt with OpenFX 1 and/or basic properties.)
  2. Surface Materials (Shininess, colour, transparency etc.)
  3. Surface Image Mapping, (Surface picture, pseudo reflection, bumpiness and transparency.)

The materials and image maps applied to the faces in a Model dictate how the model will look when it has been rendered. The realism and quality of the images produced are heavily influenced by the surface attributes applied to the faces by the option in this dialog. The face setting attribute dialog has three tabs and it indicates in the title how may faces are selected:

wpe1.jpg (14814 bytes)

Surface Image mapping not only requires the specification of the picture files, it also requires the specification of a set of mapping coordinates that cover the surface (a good analogy is how the latitiude/longitude coordinates map the surface of the spherical earth.)

Attributes are applied to selected faces in the model. A face is selected if all vertices at its corners are selected. The attributes dialog is modal and all the tools, actions and menu commands are active while it is visible.

Basic Attributes - Specifies color, Phong smoothing, level of Reflectivity, Transparency, Glossiness, and Glass Edge Effect..

Materials - Applies texture attributes.

Image Maps - Applies image map attributes.


Material Settings

This tab is used for setting the most basic of surface attributes that can be appled to selected faces.

wpe2.jpg (17705 bytes)

Color Swatch - Selects and sets the color of the selected faces.

Smoothing - Specifies Phong Smoothing for selected faces

Note: that these attributes are not used if a materal or image map has also been applied to the same selected faces. If some or the selected faces have a material or an image map applied a warning icon and message are displayed.

.


Shader Attributes

Surface Materials

Applies material properties and algorithmic textures to selected faces.

Changes can be previewed in the Camera Window by pressing the Preview button at the bottom of the dialog. The OpenGL previewer when used in appropriate processors will also display the materials.

wpe3.jpg (15341 bytes)

The Set button assigns a material to the selected faces.

The Edit button calls up the edit material buttons.

The Drop button removes any material that is applied to the selected faces.

The Move button allows you to move the Material Axis (which is used to position the material's appearance relative to the object.) This feature is described under the heading of materials.


Map Attributes

Set the Map To be used on selected faces

Applies Image Maps to selected faces.

Changes can be previewed in the Camera Window by pressing the Preview button at the bottom of the dialog.

wpe5.jpg (17755 bytes)

Set Button - Applies specified map to selected faces.

Edit Button - Edit map characteristics.

Drop Button - Drops map from selected faces.

Move Button - Moves position of map on selected faces.

Assign Mapping Coordinates - Click this button to assign image mapping coordinates using one of the image map's basic mapping types. If more than one image map exists you will be prompted to select the desired map from a list. If any of the selected faces already have mapping coordinates applied then a waring triangle icon will be displayed.
Note that if image mapping coordinates are already applied to the selected faces then it may NOT be good idea to assign them since they may nave been set using one of the other coordinate generating methods. See the Mapping Coordinates topic for more detail.

Remove Mapping Coordinates - Click this button to remove the mapping coordinates from the selected faces. Note that if an image map has been applied to any faces then it those faces must also have mapping coordinates applied.


Maps

Provides various commands for editing and positioning Image Maps.

  • Edit Map
  • Move Map Axes
  • Purge Unused Maps
  • Create New Folder for All Maps


Edit Image Map

This dialog enables you to create and edit image maps.

Note that maps are not actually applied to the selected faces unless they are Set in the Mesh and Material Dialog's Map Tab.

Changes can be previewed in the Camera Window by pressing the Preview button at the top right of the dialog. When the OpenGL camera window is active using the GPU these maps and the other settings are updated as you make the changes.

wpe6.jpg (45666 bytes)

Note: All the image maps are (by default) embedded within the .OFX model file. The main command buttons in the dialog perform the following functions:

Move - This temporarily closes the Image Map Settings dialog and suitches OpenFX into image positioning mode...

New - Create a new image map.

Delete - Delete "this" image map.

Select and Name - Selete the map to be edited from the drop-down list of all maps. You can also type a new name in the box to give your map a more recognisable idetity.

Embed Images - Some models may not have the image maps included in the model file (mainly models constructed with Version 1) Use this button to include all the image maps within this .MFX file.

Extract Images - Use this button to extract the image maps (so that they could be edited for example) into a file. The filename is the one from where the original image was loaded (its name appears in the image list below.

Preview - Use the scanline renderer to preview how the model will look with the image applied. (Note that this image map must have been applied to some faces in the model before this appears.) In OpenFX 2 if the OpenGL View window is supported by appropriate hardware - the image maps will be drawn realistically.

Close - Close the Edit Map dialog.

The secondary batch of buttons performs the suppimentary functions:

Preset for Surface - OpenFX contains a number of small predefined surface image maps - this button presents a small menu from which you can choose an image map.

Apply to Selected - This button applies mapping coordinates to any selected vertices by using the currently selected type of mapping. (See below).

Apply to All (for map) - This button applies mapping coordinates to all the faces and their vertices that are currently showing this image map.

Remove - This button removes all mapping coordinates from any faces showing this image map. (Removing mapping coordinates helps to reduce the size of the .MFX file.)

Map files
Any combination of a Surface Map, Reflection Map, Bump Map, and/or Transparency Map can be used to define a full Image Map. The Maps may be still images or an animated .AVI type movie file. The sliders to the right of the Surface and Reflection Map types specify the percentage of the applied map that is visible relative to the surfaces colors and textures. The slider to the right of the Bump Map type specifies the height of the bump.

Types of Mapping
The Mapping Type can be Planar, Cylindrical, or Spherical the fourth grayed-out button is for compatibility purposes with OpenFX 1 and it will show a "Fixed-To" mapping type when this old type of mapping is in use. In OpenFX version 2 all maps use mapping-coordinates and OpenFX 2 will perform an automatic conversion to this new way of applying mapping.

Map angle - This defines the angle over which the cylindirical mapping applies. For example, if it is set to 180 degrees then the image covers one half of a cylinder.

Map Layout

The map can be applied over the surface to which it applies in several ways;

Tiling Specifies that the face's color will show through on faces or parts of faces outside the mapped image.
Specifies that the map is repeated so that all selected faces are painted with the image map. See also Mosaic Maps.

Tiling type - you can choose to repaat the tiling in regular repeats or in a mosaic fashion so that no seams in the image map are aparent.

Shading Renders the image map with the effects of the lighting conditions on the mapped surface.
Renders the image map while ignoring the lighting conditions on the mapped surface. An unshaded map can be used to represent a TV screen.

Decal Renders image maps normally. The background color will be rendered onto the selected faces.
Enables insignia and decals to be painted onto an object. Faces that would be painted in the map's background color are rendered as if no map had been applied to them.

Decal Color - Specifies the transparent color used for Decals. Black or white is used if the Index Key radio button is enabled. The specified color in the Key Color swatch is used if the Color Key radio button is enabled.


Move Map Axes

The Move Map Axes enable you to precisely position a Planar, Cylindrical, or Spherical image map on a 3D model.

The area enclosed (shaded Gray) by the Map Axes is defined in the Working-Volume views using three handles.

Top Left (T/L) Handle | Anchor handle moves all axes
Top Right (T/R) Handle | Resizes width or radius
Bottom Left (B/L) Handle | Resizes length

Position and size the image map on the model in the Working-Volume by clicking and dragging the Map Axes handles to the desired position. The Map Axes and image map will simultaneously be displayed in the OpenGL Shaded Camera View.

You can also set the position of each map axis handle at the location of the 3D Cursor by pressing on the corresponding button in the Snap palette.

Lock_P3.jpg (3662 bytes)

Hint: To place each map axis handle directly on a vertex, place the 3D cursor near the selected vertex, press the F2 Key (Actions > Snap Cursor > To Closest Selected), the press the corresponding button in the Snap palette.

To lock the map handles to specific vertices, press the Lock button after pressing the corresponding map axis handle. Note that locking will not work if more than three vertices are selected.

See also
Planar Map Axes..
Cylindrical Map Axes...
Spherical Map Axes...


New Folder for All Maps

For all NON-EMBEDDED iamge maps this option will replace the path to the folder where OpenFX will look for the iamge maps.

(Normally in OpenFX versions > 2 the image maps will be embedded into the .MFX file.)


New Folder for All Maps

Export All Image Maps

Use this option to export any embedded image maps from the .MFX file into their original files.

(These might be .GIF .JPG .PNG etc.)


New Folder for All Maps

Unload Image Maps

Use this option to remove embedded image maps from the .MFX files. This does not remove any image maps or affect the model in any way. It simply means that the image maps are not embedded in the .MFX file and OpenFX will try and load them from external files when it is rendering a scene that includes these models. Any image map can have its images re-embedded using the Image Map Dialog box.


Purge Unused Maps

Deletes maps in the open scene that are not attached to faces.


Maps - New

New Map

Creates a new image map and brings up the Edit Map dialog to allow you to edit the map.


Materials

This is a new feature of OpenFX 2. It superseeds the older "basic attributes" and forms the layer of 'paint' that is applied to all surfaces. The Image Map surface attribute is applied on top of the materials.

A maximum of 64 materials can be applied to every model and each one is defined using the Edit Material menu command.


Materials - New

New Material

Creates a new material and call up the Edit Material Dialog to allow you to edit the new material.

(Note this does not apply the material to any faces in the model, for that you will need to use the Mesh Map and Materials dialog.)


Materials - Edit

Edit Material

A maximum of 64 materials can be applied to every model and each one is defined using the dialog below. (A material is applied to the selected vertices using the "Mesh Map and Materials" menu command.)

All materials are described through the Material Settings dialog.

Shader4.jpg (315475 bytes)

The Basic Controls in the Dialog

New - Create a new material with basic default properties.

Delete - Delete this material.

Select / Rename - Use the dropdown list box to select the material to be edited or to change the name of the material.

Copy - Copy the properties of an other material to this one. A pop-up dialog will allow you to select the material to be copied.

Close - Close the materials dialog.

Preview - Use the scanline renderer to generate a preview of the 3D view of the object. The GPU based OpenGL 3D view will automatically update to illustrate the current settings. (With the exception of any plugin textures wich are only displayed in the scanline renderer or in the full renderer.

Colour - Click on the colour swatch to select the basic diffuse colour for the material.

Second Colour - Specifies the secondary color used by many of the material's textures.

Check Boxes and Settings

Smoothing - Specifies Phong Smoothing for selected faces.

Shiny Hotspots - Assign specular highlights to the material, to simulate the appearance of shinyness/glossiness.

Glass Edge Effect - Give any glass edges the illusion of being slightly darkened. This effect is only applicable to the scanline renderer.

Glossiness - Adjusts the shininess (size of Shiny Hotspot) of the faces if the Shiny Hotspots check box is checked. The Shiny Hotspot is largest at low values and smallest at high values.

Metals are shiny but chrome has a different shininess than aluminum. Shininess is simulated by what is known as a specular highlight. Basically, the more shiny a surface the smaller the specular highlight. For example, plastic material has a less shiny appearance than tin, so a plastic bottle will have a larger specular highlight than a tin can.

Reflectivity - The selected faces can be made to have a partially mirrored surface showing a reflection of the Sky or Ground during an animation. The degree of reflection is governed by slider setting. A value of 8 means a 50/50 mixture of reflected image and surface color.

The Reflectivity slider also specifies the level of reflectivity for other objects in addition to the Sky and Ground if Ray Trace reflections are enabled in the Trace Tab page of the Render Settings dialog.

Transparency - The Glass texture uses this parameter to set it's transparency. A value of 0 is totally opaque while a value of 15 is totally transparent. Any totally transparent faces will be completely invisible. The Glass Edge Effect darkens the glass along its profile if turned on.

The transparency setting has a special relationship to the Glossiness flag. If the flag is On the transparency decreases near the edges of objects and they show specular highlights superimposed on the Glass surface. This effect is very often seen in thick glass objects especially where they have some curved surfaces. (This does NOT apply to the GPU renderer.)

Texture Parameter - Many of the internal & external textures require a parameter to specify some parameter or the other. This slider privides a way to change such parameters. For example the rough or bumpy internal texture requires a value for how rough it might be; in such an instance the roughness is set via this slider.

Textures

In addition to the basic material settings above, an algorithmic texture can be applied to the surface to give it a richer and more complex appearance. There are a small number of built-in textures, such as granite, marble, and wood. And a much larger range of plug-in textures that allow for a much wider range of texture appearances to be simulated. Procedural textures are algorithms that mathematically define the appearance of a shape or surface texture. Procedural textures act on volumes where image maps act on surfaces.

Blend texture

To use one of the built in textures - click in the "Internal textures" check box and the "Choose Internal Texture" button to select the texture from a pop-up list.

Select either the Internal check box or the Plug In Texture check box to choose the Texture Type to apply from a list of Internal Textures:

The Parameter sliders adjusts the parameters the Clouds, Bumpy, Aztec, Wrinkled, Agate, and Dents textures. For example, bumpy textures such as Bumpy, Aztec, Wrinkled, Agate, and Dents use this parameter to set the height of the bumps. The larger the slider value the higher/deeper the bumps.

Move Material Origin - This button is used to adjust the origin and orientation of this material. It will activate the Move Material Origin mode and display the Snap Palette.

Plug-In Textures - These extend the range of textures that can be applied to a surface. Up to four textures can be layered within a single material. So for example, a rough - normal bending - texture can be used along side a surface colouring texture like a marble. To use the plugin textures click on the Plugin Textures check box.

Each of the 4 plugins must be activated by placing a tick in the checkbox beside it. More detail on the plugin textures are given here...

Other Optical Properties - OpenFX is used in research projects that render objects/models under special circumstances - these properties are used for that, and details of the usage of these settings are available in that context. They are NOT relevant for normal CGI/VR applications.


Materials - Delete

Delete Material

Delete a material from the list of material in use for the model. Any faces that have this material applied will be marked as having no material applied and when rendererd they will only show the basic attributes (as set in the basic attributes dialog.)


Materials - Purge

Purge Material

Remove any material that is not in use on any of the faces in the model.


New Folder for All Maps

Export Materials

Export materials into an .MTL file. The materials are stored using their name as the identifier. This option is used mainly to replace materials in other models that you want to have a given set of properties.


New Folder for All Maps

Import Materials

Import materials from an .MTL file. The materials are stored using their name as the identifier. This option does NOT create materials it replaces the material properties for any material by name from the .MTL file.

Only the material name is used to identify a material and only when a match is found are material properties replaced.


Plug-in Shaders

Plug-in Textures

These augment the basic list of Internal Textures by adding up to 4 extra textures for each material. Five basic textures are Bozo, Brick, Dimple, Dots, and Ripple. These textures are held in external libraries and it is possible to develop your own by creating appropriate DLL's. See the full list of other textures here...

Press the Load button and select an external texture from the available textures/shaders.

The Edit button enables the editing of the parameters for that particular texture.

The Drop button clears the slot and removes that particular texture from the material.

See the list of additional plug-in textures here...


Plug-in Shader Types

Plug-in Textures Types

Plug-in textures are held in external library files and provide for the possibility of adding textures from third party companies or individuals.

External textures usually have much greater control than Internal textures over their design and scale settings that can be combined with the effect of the texture axes sizes. See the additional list here...

Bozo | External texture that generates a camouflage pattern.
Bricks | External texture that generates bricks. Looks best on a planar surface.
Dimples | External texture that generates a dimple bump pattern. Illustrates the combination of a change in color and surface normal direction.
Dots | External texture that generates a dot pattern. Looks best on a planar surface.
Ripples | Ripples texture is an animated external texture. It will go through a rippling cycle over a number of frames.

See the list of additional plug-in textures here...


Untitled Document

Plug-In Textures

This is a list of the other plugin-textures that have help information. There may be others!

Blisters...


Set Model Center

Move the model's center point (large yellow cross) to the position of the 3D Cursor .


Set Follow Point

Move the model's follow point (small red cross) to the position of the 3D Cursor .


Default Material

Sets the attributes applied to new faces as they are created.

wpe1.jpg (20617 bytes)

Face Color - This is the color that the faces in the model will have when it appears in a rendered image or animation.

Texture Color - This color will appear over parts of the faces if they have a two-tone texture. For example, in a marble it defines the background color while the vein's color is taken from the faces main color.

Smoothing - Applies Phong Smoothing to the selected faces.

Glossiness - Applies specular highlights to the selected faces. If the setting is Off, the surface will have a matte or dull finish. The size of the specular highlight is adjusted in with the Glossiness slider in the Attributes Settings Tab page.

Glossiness Slider - Adjusts the shininess (size of specular highlight) of the faces if Glossiness turned On. The specular highlight is largest at low values and smallest at high values.

Metals are shiny but chrome has a different shininess than aluminum. Shininess is simulated by what is known as a specular highlight. Basically, the more shiny a surface the smaller the specular highlight. For example, plastic material has a less shiny appearance than tin, so a plastic bottle will have a larger specular highlight than a tin can.

Bumpyness or Transmissivity Slider - The Glass texture uses this parameter to set it's transparency. A value of 0 is totally opaque while a value of 15 is totally transparent. Any totally transparent faces will be completely invisible.

Bumpy textures such as Bumpy, Aztec, Wrinkled, Agate, and Dents use this parameter to set the height of the bumps. The larger the slider value the higher the bumps

Reflectivity to Sky or Ground Slider - The selected faces can be made to have a partially mirrored surface showing a reflection of the Sky or Ground during an animation. The degree of reflection is governed by slider setting. A value of 8 means a 50/50 mixture of reflected image and surface color.


Glue Mapping

Mapping Coordinates

These play a vital role in OpenFX 2. All mapping is done using mapping coordinates (or implied mapping coordinates). (Implied coordinates allow for backward compatibility with image maps from OpenFX 1).

Mapping coordinates enable the attachment of image maps to model surfaces directly rather than projecting the images directly on them when the model is rendered. Each vertex carries with it a pair of coordinates, known variously as (u,v) or (s,t) or something else. These coordinats are used to address a pisition within an image map. Sticking coordinates onto vertices allow maps and textures to move with parts of the model as it moves or morphs. It permits maps to be positioned in ways that would be impossible with either Planar or Cylindrical mapping. The (u,v) do not have to be related to the world coordinate system (x,y,z)

The coordinate system is scaled so that each image in the map fits inside a unit square of the (u,v) coordinates. That is; any point on the surface with (u,v) coordinate in the range 0.0 < u < 1.0 and 0.0 < v < 1.0 will equate to a pixel in the image map. If a point on the surface has a (u,v) coordinate with either greater that 1.0 or less than 0.0 then the integer part of the coordinate is removed leaving only the fractional part for example a (u,v) coordinate of (1.5,10.35) is reduced to (0.5, 0.35) and (-1.3, - 5.0) is equivalent to (0.3, 0.0). These equivalent points both lie in the unit square and thus they can be mapped to a pixel in the image map.

The surface (u,v) coordinates correspond to specific places in the image.

The point (0.0, 0.0) is at the Bottom Left corner of the image, (1.0, 0.0) is at the Bottom Right corner and (0.0,1.0) is at the Top left corner.

Once mapping coordinates have been assigned to vertices, the coordinates remain unaltered, no matter how the vertices are manipulated. This will allow the surface map to move or distort to follow the vertices.

There are three basic methods for applying mapping coordinates to faces: deriving mapping coordinates from existing maps, entering mapping coordinates manually, and automatically generating mapping coordinates while using tools and actions.


Convert Normal Map to Glue Map

Generate Mapping Coordinates from a Planar/Spherical map alignment.

This is the simplest and quickest method to apply mapping coordinates to selected vertices. It is ideal for cases where planar or cylindrical projections will approximate the map area prior to the model being distorted or used as a morph. These coordinates are assigned using the buttons in Edit Map and Attributes dialog, or the Apply Mapping button on the positioning Snap palette


Map Path Vertices

Generates Mapping Coordinates using the Duplicate, Extrude, Extrude Along, Lathe, and Twist Along actions.

Note: Before reading on make sure you understand the explanation of the (u,v) coordinate system for maps.

All the tools and actions work by copying the vertex mapping coordinates and then incrementing the v (vertical) mapping coordinate. Normally each will start from a curve or path of vertices. Therefore we have a way of setting vertex coordinates in an curve the tool will create a 2D mapping. Furthermore if we arrange that the u (horizontal) mapping coordinate in the curve (path) varies while the v coordinate is held constant and then hold the u coordinate constant while the tool acts on the v coordinate we will achieve a pretty good 2D mapping. This is because the Extrude or Extrude Along actions almost always acts at right angles to the original curve. This command therefore allow us to assign u mapping coordinates to a path of vertices. (Paths and how to indicate them are already covered elsewhere.)

The u map coordinate starts at 0 at the indicated end of the path and increases along the length of the path. There are two ways in which to increment the coordinate, non-linear and linear. Non-linear causes 'u' to increase by 1 for each edge in the path, for example if the path has 5 vertices, the coordinates are 0, 1, 2, 3, and 4. If the edges are different in length then the map images will be scaled differently. Linear scaling causes a fixed number of images to be produced over the length of the curve so that each map is of the same size, thus if you have a curve with 15 edges and you choose 3 copies along the length of the curve, the x mapping coord will be 0.0, 0.2, 0.4 etc., if the edges are different in length the mapping coordinate for each vertex will be calculated so that the maps do not appear distorted.

Linear Repeat Coordinates

Duplicate - The Duplicate action copies vertex mapping coordinates when vertices are copied. Since moving vertices does not change mapping coordinates, the copied faces will render exactly the same even if the copy is moved or rotated.

Extrude - Extrude creates a copy and then attaches it to the original selected vertices, it therefore copies vertex mapping coordinates (if they exist) as well. There is however one big difference, just copying the vertex mapping coordinates will give a poor looking surface as the new vertices are moved away because the coordinates on one side of the new faces will be exactly the same as on the other. Thus the Extrude tool adds 1.0 to all the v coordinates. This means that the map will go through one cycle from the original vertices to wherever the copy is move to. (Since the extruded vertices are selected, you can use the Apply numeric coordinates command to alter the +1 setting to be anything you like. Note: The u coordinate is unaffected.

With multiple extrudes you can have the v coordinate extend over a larger surface. But remember what was said above about tiling the image. For example starting with a 4 vertex path, after it is extruded there is no change in v coordinate (vertical direction). When the upper row of vertices have the v mapping coordinate set to 1 each sub-rectangle will show part or all of the map.

Lathe - Because the Lathe action is base on adding a copy, attaching it and rotating it around an axis, its behavior is somewhat similar to that of Extrude the v coordinate is incremented by 0.25 for each section of revolution.

Twist Along - Works like the Extrude Along action.

Extrude Along - If the vertices that are being extruded have mapping coordinates applied, then as the extrusion takes place the v mapping coordinate is incremented. The action dialog has a box to specify the number of copies of the image are to be applied along the extrusion, these will then be scaled linearly.

A typical example of the use of this tools is, make two curves, one to be extruded and the second to be used as the path of the extrusion. Apply mapping coordinates to the first curve using the Map Path Vertices command. Then extrude this curve along the second in the usual way.

Example: Build a Spiral

Start with a polygon primitive having 10 edges. Apply mapping coordinates in a linear mode. Use 6 copies. Create a spiral from the Special functions, move the polygon to the start of the spiral and scale it if necessary. Extrude the polygon along the spiral. Create an appropriate map and "Fix-It" it to the spiral. You can use a patterned map to give the appearance like a coiled-up snake.

Important Note: In this example a closed curve/path was given mapping coordinates. Because the end of the curve is joined back to the start, some faces will have a difference of 5.5 -> 0 in the u mapping across them. The Renderer ignores such a large step and assumes that the mapping coordinates are looping, this looping threshold is 5.0 so that no face should have a difference of more than 5.0 mapping units across any one face. If this rule is violated then the image may not map correctly. If you don't want a loop in the curve, (perhaps because you want the path to proceed in a particular direction) then you should make an open path, but move the two ends so close together that the gap is invisibly small in the final rendering.


Set Vertex Mapping

The Set Vertex Mapping command enables you to set groups of vertices to have the same vertex-mapping coordinate.You must choose the u (horizontal) or v (vertical) coordinate and give it the new mapping coordinate required.

For example suppose you want a square mapped so that the map is stretched at the bottom and squeezed at the top, one way to do it is to create a rectangle and subdivide it once so that it has 9 vertices, shown on the left below. Then use a planar map to apply mapping coordinates to the vertices, shown below on the right.

Select the 3 vertices in the middle row, and modify their Vertical mapping coordinate to a Value of 0.3 to give mapping coordinates.

When rendered the map will appear stretched in the bottom half of the rectangle and squeezed in the top. It's horizontal appearance is unaffected.


Wrap Mapping

Wrap Coordinates

This mapping method attempts to wrap an image map around a non-uniformly shaped mesh. As an analogy one can think of painting a map on a flexible sheet or piece of cloth and then trying to fold this cloth around an object by starting at some point inside the sheet of cloth.

The method works by:

  • Select the vertices around the faces to be mapped.
  • Apply mapping coordinates to one or more of the faces, using one of the other mapping methods.
  • Place the 3D cursor inside one of the faces. (This can be done in any one of the WindowBox view windows.
  • Execute the menu command Wrap Map

For example: start with this folded mesh (the correct map is placed across one of the triangle faces on the top face).

wrap_map1.jpg (96400 bytes)

Some mapping coordinates are appled over the mesh. As can be seen in the shaded view the map is not uniformly mapped over the surface. In this example we want to map the face image over the whole of the mesh. Neither the planar or cylindrical or spherical mapping will do it, but if we use one of the triangular faces on the top surface and wrap it down over the two folded sides it will produce a pleasing result.

Select the faces to be mapped (in this case it is all the faces.) Move the 3D cursor into the centre of the face we wish to use as the template map. (This map will be rolled-out over the remaining faces. The map and the face are indicated in the figure below.

wrap_map2.jpg (102493 bytes)

Once this is done the "Wrap Map" command is executed and the result is a map that folds over (or around) the other selected faces, provided of course that these faces are attached to the original face.

wrap_map3.jpg (95463 bytes)

This mapping method greatly strengthens OpenFX's mapping methods, however, there are cases where it will produce some unexpected resuts. (E.G. try mapping a simple cube using one of its triangular faces as the iniital 'indicated triangle'.


Paint Mapping

Mapping Coordinates Editor (New Features)

This utility is specifically designed to allow a single image map to contain a collection of sub images. For example it can be used to design the textures that apply to a character, face clothing etc. as in the picture below.

paint_map1.jpg (114240 bytes)

By setting the mapping coordinated in this editor the mesh for the face can be aligned with the part of the picture representing the face, the torso mesh mapping coordinates can be aligned with the part of the image representing the torso, and so on.

To use this editor, begin by selecting all the faces all the faces for which the mapping coordinates are to changed. It is necessary to place some form of initial mapping onto these faces and they all must have the same image mapping applied. (The initial mapping is necessary because, if no mapping coordinates are applied before the map coordinates editor is started all the vertices in the mesh will be superimposed. (Important: The mesh that appears in this editor is NOT the mesh that makes up the shape of the object being textured, this mesh is a mesh of surface mapping coordinates. For example the image map above might be applied to the mesh representing the character below.)

paint_map2.jpg (34899 bytes)

Once the faces (vertices) and map have been selected the mapping coordinates editor appears as a floating window about OpenFX (on a two screen desktop it can be dragged off onto a second screen.) The editor will show the map image and superimpose on it a mesh representing the location of the image map coordinates of the vertices within selected faces of the original model mesh. (Remember, the model structure mesh is three dimensional, wheras the mapping coordinate mesh is two dimensional, it covers the surface of the selected faces.)

The mapping coordinate editor has a single menu with a number of commands that represent the tools and functions of the editor, the most coomonly used ones also have keyboard equivalents.

The example below illustates a collection of rectangles all using the same image map but lying in different orientations:

paint_map3.jpg (83665 bytes)

When the texture coordinate editor utility is loaded it shows the image map and superimposes a mesh of the texture coordinates showing how the map applies across the selected faces.

paint_map4.jpg (133080 bytes)

By moving the position of the vertices in the above texture mesh map, the part of the map that covers any particular part of the object may be altered.

Thus the menu commands have the following functions:

  • Exit - Return to the OpenFX design module
  • Update - Update the mapping coordinates in the model from the data in the Texture Coordinate Editor (TCE) (After this, the design module and renderer, can be used to inspect the effect of any mapping changes without leaving tje TCE.)
  • Pen - This submenu offers a selection of colours in which to draw the map mesh. Choose the one that offers the best contrast with the background image.
  • Selection - This menu offers the option to select all or deselect all the vertices in the editor (selected vertices are drwn as larger rectangles, deselected vertices as small rectangles.) The following keyboard equivalents may be used
    • Select All (ctrl+A)
    • Deselect All (ctrl+D)

The remaining menu commands operate the tools that can be used for editing the mesh, select the tool by clicking on the menu command.

  • Select (keyboard key S)
    When this tool is active you can click and drag a selection box to enclose one or more vertices. Clicking on a single vertex (without dragging) will select it. (or deselect it, if it is already selected.)
  • Move (keyboard key M)
    Move the selected vertices by clicking and dragging the mouse. If no vertices are selected you can move a single vertex by clicking and dragging it.
  • Rotate (keyboard key R)
    Rotate the selected vertices. Click in the image and drag the mouse (LMB held down.) Rotation is around the point of first click.
  • Scale (keyboard key X)
    Scale the selected vertices. Click and drag the mouse. Scaling takes place at the point of first click.
  • Pan (keyboard key P)
    When the window is showing an enlarged image (i.e. when zoomed in) this tool will move the image so that those parts of it, that lie outside the visible window, will be moved into view.
  • Zoom (keyboard key Z)
    Use this tool to enlarge part of the image, for fine mesh adjustment.

Thus: If, for example, the mapping coordinates illustrated in the above example are moved to the positions below:

paint_map5.jpg (114646 bytes)

the mapped faces of the 3D object become:

paint_map6.jpg (79701 bytes)


View Menu

Describes the functions of the Designer's View Menu commands.


Hide Selected

Hides selected vertices, edges, and faces from view in the Working-Volume.

They will not be drawn in any of the Working-Volume view windows. The hidden vertices, edges, and faces will not be affected by any of the tools or actions although they are still part of the scene.


Reveal Hidden

Reveals all previously hidden vertices, edges, and faces so that they are now displayed in the Working-Volume.

The revealed vertices, edges, and faces are set to the deselected state.


Hide Edges

Hides all edges (selected and deselected) in the model in the Working-Volume's Top, Front, and Side views to speed up the screen refresh rate.

The vertices connecting the hidden edges are displayed in the Top, Front, and Side views. However, the Camera View displays the hidden edges in both wireframe and OpenGL shaded mode.


Hide Joins

Hides the edges which join or connect hidden vertices to visible vertices.


Show Grid

Toggles on or off the display of the Grid in the Working-Volume's Top, Front, and Side views.

There are three elements to the grid:
1. | The coordinate axis system, drawn in white, passes through the origin of the coordinate system and displays the position of (0,0,0).
2. | A solid grid is drawn at each unit coordinate.
3. | At 1/10th size (i.e. 0.1 intervals) a dashed grid is drawn in a "darker (less visible) color".

As Zoom Out is applied, the "Dotted grid disappears and a new "Darker" grid is drawn at 10-unit intervals. As zoom out continues the 1 unit interval grid disappears and a "darker" grid is drawn at 100 unit intervals. This process continues until maximum zoom is reached.

The Grid size can be specified in the Grid Settings dialog.


Snap to Grid

Snaps the 3D Cursor to the Grid points. The grid may be visible or invisible.

Use the 3D grid to move the 3D Cursor in discrete steps when drawing, moving, etc.

The "Snap to Grid" works to the nearest "visible" grid point. Therefore if a far out zoom is in effect the grid snap is to a larger scale then if a near zoom is in use.


Grid Settings

Defines the Grid size and whether it is visible when in use.

The size of the grid is defined in the current units.


Display Coordinates

Brings up the Coordinates palette.

Shows the coordinates of the 3D Cursor as it is moved. Type in coordinates to move the 3D Cursor either relatively or absolutely. Define the origin and scale of the coordinate frame of reference for this model.

Move the 3D Cursor to the coordinates in the edit boxes. Numeric values can be entered in the edit boxes. The entry of a relative displacement (delta, or dX, dY, dZ) automatically updates the absolute coordinate and vice versa.
Restore the coordinates (in cursor units) of the 3D Cursor. Undo any coordinates typed in the edit boxes.
Set the origin of the coordinate system to the position of the 3D Cursor.
Defines the current units and name the coordinate system (the default unit is centimeters). The units are defined relative to the size of the Working-Volume.


3D Cursor

The 3D Cursor (sometimes called the Tri-view Cursor) is used indicate an exact position in 3D space. The intersection of any two 3D cursors in the Working-Volume Top, Front, or Side views indicates an exact position in 3D space. The 3D Cursor is positioned with the Windows' Mouse Cursor.

The 3D Cursor can take the form of either a Cross Hair or a Cross Wire. Note you can toggle between these two 3D Cursors with the F9 Key.

Cross Hair 3D Cursor

Cross Wire 3D Cursor


Window Menu

Describes the functions of the Designer's Window Menu commands.


Zoom In

Change the Working-Volume size so that the enclosed vertices appear larger.


Zoom Out

Change the Working-Volume size so that the enclosed vertices appear smaller.


Set Default Zoom and Position

Resets the size and position of the Working-Volume back to that used when the Designer starts up.

For example, if you are working on a big model and erase all its vertices , the Working-Volume will remain enclosing a large volume.

Choosing "File > New" automatically resets the size of the Working-Volume when it removes the old model but the other delete tools do not. The Set Default Zoom and Position command provides the option to set the Working-Volume back to its default size without using "File > New". This is very useful if you want to build two models or animations at the same scale.


Swap Viewpoint

Swaps between a Top, Front, Side Working-Volume layout and a Top, Rear, Side layout.

You can use this for working up one side and down the other of the model.


Reset Quad View Windows

Sets the Working-Volume size back to its startup defaults.

The Working-Volume startup default is composed of four equally sized rectangular windows.


Hide OpenGL Camera View

Hide OpenGL View Window

Toggles the OpenGL Shaded Camera View On or Off.

You can also right click in the Camera View to toggle the OpenGL display mode.

Show (On)

Hide (Off)


Viewer

Loads the Viewer program for displaying GIF, BMP, Targa, TIFF, and JPEG images.


Animator

Displays the Animate module.

The Designer is not closed and the model's data remains loaded in RAM.


ZZZZ_INCOMPLETE

Help is not available on this topic yet.


ViewOpenGL Menu

Describes the functions of the Designer's ViewOpenGL Menu commands.

The ViewOpenGL Menu is visible only is the OpenGL Shaded Camera View is enabled.


Update Mapping

Updates the OpenGL Shaded Camera View for any changes in image mapping.

You can also click once in the Camera View to update the mapping.

Note: OpenFX 2 updates the mapping automatically when Image Maps have their images embedded witin the .MFX file.


Two-Sided Polygons

Renders one-sided polygons with two sides - an inside and outside.

The designer creates and renders polygons with both an inside and an outside. However, most 3D packages and renderers, including OpenGL, can only create and render one sided polygons. Hence the user is required to define whether a polygon is pointing inward or outward. In the case of a dome shape, you would specify that the polygons were pointing inward if the viewpoint were inside the dome and outward if the viewpoint were to be outside the dome.

Turning off the Two Sided Polygons option in the ViewOpenGL menu reveals the faces that are "pointing inwards" in that they render dark (assuming the viewpoint were outside of the model).

The Reverse Face Normals and Orient Faces actions can be used to clean up imported models that may have inconsistent faces pointing inwards and outwards.


OpenGL-GPU

OpenGL - Use GPU

OpenFX version 2 can take advantage of the new programmable capability of most graphics adapters (those with a Graphics Processor Unit - The GPU - the increase the speed of rendering and quality of rendering. If your computer can support this you can tell the modeller to render its view window using OpenGL version 2 functions. (This is the same functionality that is used by OpenFX 2's new real-time renderer.)


OpenGL-Ortho

OpenGL - Use Otho

The OpenGL view window can render the view in eiither a perspective or orthographic view mode.

In perspective view mode (Orth OFF - it has no no tick mark) a more reasistic view is generated but this is not very useful fo rmodelling purposes.

When Otho mode is ON the view persoective matches the other window projections and in this mode some of the modelling tools may be used.

Note: In Ortho mode the Selector/Deselector and Move tools may be used within the OpenGL window. The move tool will move any selected vertices in a plane that is perpendicular to the viewing direction. This will allow you to move vertices in a direction that does not have to be along any two of the x,y,z coordinate axes (a restriction that applies to the other view windows.)


Scrollbars Visible

Displays Scroll bars in the Camera View .

The scroll bars are useful for precise positioning of the model displayed in the Camera View.

Holding the Ctrl key down while dragging the scrollbars prevents intermediate updates.


OpenGL Shaded with Wireframe Overlay View

OpenGL Shaded View with Wireframe Overlay

The OpenGL Shaded Camera view displays a shaded rendering with a wireframe overlay of the Camera View. This mode is useful for isolating triangle surfaces.

The Wireframe Overlay mode is enabled with the ViewOpenGL > Overlay Wireframe menu command or by right clicking on the OpenGL Camera Window and selecting the Overlay Wireframe menu item.


OpenGL-Ortho

OpenGL - Hide Hidden Wiireframe

When the OpenGL 3D view window is displaying the overlaid wireframe then all edges will be drawn (including those that are associated with hidden vertices.) Using this option it is possible to requre that any edges attached to hidden vertices are also hidden. When combined with the option to Overlay Wireframe these two options help you select specific vertices and see specific details of the topology of the model's mesh.


OpenGL-Ortho

OpenGL - Select Only In View

Normally the OpenGL view windows shows vertices edges and faces that may lie outside the Window Box Window and the selection function may select these when it is used in the OpenGL view window. When the "Select Only In View" option is active then the Selection tools will only select from those vertices that are actually visible in the Window Box window.


OpenGL - Stereo

On graphics hardware that supports stereoscopy then the OpenGL view window can be switched into stereo view mode to give a perception of depth - i.e. the models stand out from the screen.


OpenGL Preferences

The OpenGL Settings dialog enables you to select the display properties of the Camera View OpenGL Shading. Bring up by selecting the ViewOpenGL > Preferences.menu item.

Use Image Maps - Renders model with image maps displayed.

Set Back Color - Change the background color for the OpenGL Camera View.


About

Displays the current version identity.


Help Menu

Describes the functions of the Designer's Help Menu commands.


Animator Help

Designer Help

Displays the HTML Help system for the Designer module.


General Help

Displays the HTML Help system for general information.


About The Designer Modeler

About the Designer

Displays the current version number for the Designer module.


Renderer Help

The Renderer is the module that creates the photographic images of models built in the Designer and the animated sequence of images as directed in the Animator.

New in OpenFX 2 is the GPU based high speed renderer. This is implemented using the functionality of the OpenGL version 2 shading language which is available on most programmable graphics adapters (those with a GPU (Graphics Processing Unit) )

Rendering can be a time consuming process that is very dependent on the size image being produced and the complexity of the Actor's costumes. Rendering is by default a Scanline Phong renderer. Various levels of Ray tracing can be enabled in the Tracing tab page. Phong rendering is suggested in most cases since ray tracing is notoriously memory and time intensive.

Select the desired settings in the Control, Options, Settings, and Tracing tab pages of the Renderer dialog. Press the Render button at the bottom of the Renderer dialog to start rendering. Note that test renders be done quicker using the File > Quick Render (F12).

The renderer is multi-threaded and will benefit greatly if additional processors are installed in the system. Rendering on a two processor system will almost be twice as fast as with one processor.

The Renderer module can be used in a mode (called the Script Renderer) that does not need either the Animate or Design modules to be loaded. The Script Renderer may also be run on several others PCs at the same time.

A second button on the right of the renderer dialog gives access to the new GPU renderer. If this is greyed out then your hardware is not capable of taking advantage of the "near" real-time rendering engine.

Beginning with OpenFX 2 - the renderer has been completely re-written and is a continuing work in progress.


Ray Tracing Parameters

Setting the Ray Tracing Parameters

Introduction

This page explains the action of the algorithm parameters and the information that is reported in the status display after the optimisation phase of rendering has completed.

The settings are:

  • Partition or Split the Polygons
  • Recursive Depth
  • Polygons per Voxel

The reported information in the status line of the renderer window can be very useful in making subsequent renderings of the same scene go faster.

setitings.png (5077 bytes)

  • F = (Number of faces in scene)
  • V = (Number of vertices in scene)
  • Dp = (Maximum octree depth used)
  • Th = (Target number of faces to be assigned per voxel)
  • F/V = (The maximum number of faces assigned by the optimisation algorithm per voxel)
  • Size = (The [maximum(and minimum)] dimension (in internal units) of any voxels created by the optimisation)
  • Vox = (Number of voxels created by the optimisation)
  • Fc = (Total number of face assignments made to voxels in the spatial subdivision)

Some of the terms used above may be unfamiliar to you but in order set the optimisation parameters you will need to understand these terms which arise in the standard ray tracing algorithm and how it is optimised to enable scenes with very large numbers of polygons (faces in the jargon) to be rendered.

The basics of a raytracing algorithm will be explained in this section and then we will move on to consider optimisation techniques. As we do this the nature and use of the raytracing optimisation parameters should become clear. (Hopefully!)

The Ray Tracing Algorithm

Ray tracing may be a slow procedure but it does give superb photographic quality images. There are many books that describe the theory of ray tracing in detail. A full description of a complete package is given in [1] and there are also many available freeware and shareware ray tracing programs. One of the most comprehensive is POV-Ray which is available from a large number of WWW locations.

The idea on which ray tracing is based seems almost too simple to be true but - here it is:

Follow the paths taken by particles of light (photons) on their journey from light source through the scene (as they are scattered back and forth between objects) and on until they are either captured by the camera or head off to infinity.

In practice this is a hopeless task because of the huge number of photons emitted by a light source and the fact that all but a minute fraction of them will ever be scattered into the camera or eye. So ray tracing does it in reverse. It sends feelers or rays along the path of the photos from the camera out into the scene. If the feeler rays find anything they work back towards the sources of illumination and give us a path for the photons to follow from source to photographic plate. Sometimes these feeler rays may encounter reflective surfaces and when that happens they follow a new path and continue their journey. There are lots of other things that can happen to
feeler rays. Sometimes they may divide with each sub-ray following separate paths. The way in which the ray tracing algorithm handles such situations and the sophistication of the mathematical models it uses for light/surface interaction governs the quality of the images produced.

The standard algorithm for ray tracing can be summarised in five steps:

  • Load the data describing objects in the scene to memory.
  • Move each model into its appointed position.
  • Apply the viewing transformation.
  • Calculate the direction of a feeler ray from the viewpoint so that it passes through the point in the projection plane equivalent to a pixel in the display raster.
  • The feeler ray is followed (traced) out into the scene until it intersects a polygon. Once the point of intersection is located the surface properties can be determined and the pixel set to the appropriate colour value.

If when a ray first hits something in the scene it isn't totally absorbed we can continue to trace its path until it reaches a final destination or is so attenuated that there is nothing to see.

So that's the basic algorithm, but if you have ever experimented with ray tracing software you probably found that at most you could use about 100 primitive shapes. Your main observation probably was the hours it took the computer to trace even an image of moderate resolution. What is worse is that the rendering time increases as the number of models in the scene increases thus if you need to render a scene with models made up from thousands of polygons a basic ray tracing renderer is virtually useless.

So the main question is: Why is ray tracing so much slower? The answer is in the algorithm, in particular the step: For each pixel test every polygon and find the one closest to the origin of the ray. This is potentially an enormous number of operations. For example to synthesize an image of size 640 by 480 using a 2 by 2 anti-aliasing supersample with a scene of 20,000 polygons requires 24 billion tests.

To try and reduce the time it takes to render a scene with a ray tracer some attempt must be made to try and reduce this enormous number of calculations. A technique we call optimisation.

Optimisation

It is the job of an optimisation routine to divide the scene up in some way so that every ray does not have to be tested against every polygon. Optimisation usually requires two modification to the ray tracing algorithms:

  • A scene evaluation step that takes place before the scene is renderer.
  • As each ray is traced the scene evaluation data is used to reduce the number of polygons that must be tested against it as the ray passes from point to point.

There are two approaches that have received much investigation:

  • Bounding volumes
  • Spatial subdivision

The renderer uses the spatial subdivision method and we will look at that:

The idea here is to break up space into a number of small boxes so that only a few polygons actually lie in each little box. Then as the rays are traced through the scene we follow them from box to box and check to see if a ray hits any of the polygons lying inside the boxes. If there are only a few polygons in each box we will have considerably reduced the number of calculations and hence the time it takes to render a scene! Ideally putting only one or two polygons in each box (in technical terms the "boxes" are know as "voxels") should be the goal of the first part of the optimisation scheme.

A two dimensional illustration of this principle is given below, it shows a collection of objects and a series of rectangles that divide up the region in which the objects lie so that so that only one object is in each little rectangle:

sfxtut1_0.JPG (22203 bytes)

It is the job of the first optimisation step (scene evaluation) to divide up the scene into the boxes to be used in the later tracing step. There are conflicting goals here, each voxel should have as few polygons (faces) inside them as possible. This implies that they should be small - but if there are too many boxes then the tracing step will not be very fast because as the ray is followed it will have to travel through a very large number of boxes. This is a "balancing act" - technical term "Optimisation". It requires quite a bit of processing to find the best arrangement of the voxels but since many hours of processor time might be saved during rendering it is usually well worth the effort.

One comment worth making: The time it takes to optimise a scene is dependent on the number of polygons in the scene not on the number of pixels in the output picture. So it takes just as long to optimise a scene when rendering a 60 by 40 image as it does for a 1024 by 768 image. However it takes much much longer to trace the image for the larger raster. Thus here again is another very profitable reason to do the best possible job at optimising the scene prior to tracing any rays.

Octrees

The optimisation step starts by calculating the volume of space occupied by all the faces in the scene to create a bounding box to enclose all the faces in the scene (the so called root node in the octree). If this box contains more than the minimum number of faces it is divided into 8 smaller volumes. These child volumes are checked and any faces assigned to the parent and also fall inside them are put into to a list for each child. If any child box contains more than the minimum number of faces it is further subdivided into 8 sub-volumes, just as its parent's box was. This process is recursive and gives us a tree like structure called an octree, because at each branch there are 8 subdivisions.

This subdivision process for a cubic region of space is illustrated below:

sfxtut1_1.JPG (17417 bytes)

The big cube has been divided into 8, one child node is further divided at each stage. In hierarchical terms the octree resembles:

sfxtut1_2.JPG (26697 bytes)

The numbers in the circles represent an example of the number of faces inside the box associated with that node in the octree. You can see that as the subdivision is refined the number of faces in each box decreases. In this particular example the subdivision process is stopped when the number of faces in each box falls below 10.

Once the octree is fully built ray tracing can proceed. Thus when the ray-tracing part of the algorithm follows a ray through the scene it moves from box to box and only a maximum of 10 faces have to tested in each box. A big saving in computation time. The tree structure of the octree makes the task of following a ray through the scene quite quick.

There is a bit of work involved in calculating the movement of the ray and in getting a fairly quick test to see in which box the current position of the traced ray lies but we don't need to worry about this to understand the setting of the optimisation parameters.

This following figure below illustrates how the division into voxels will work:

figure1.png (587224 bytes)

In (a) we see a model of a man made up about 25,000 triangular polygons. In (b) the subdivided polygons are shown using a false colour. In (d) the voxels and their subdivisions around the figure are shown. You can easily see how the larger voxels lie at the edge as they do not contain polygons and thus do not have to be subdivided. In (d) a close up of the man's hand is shown with a tracing ray passing through it. In (e) the same view as in (d) is shown but with the voxels also included. As the ray is traced through the scene it passes in and out of the voxels. When int enters a voxel that contains any polygons (or parts of polygons) the list of polygons are checked for intersection with the ray. Hopefully this number of polygons will be small for each voxel and when a ray does enter a voxel. Again hopefully, when there are polygons in a voxel an intersection will occur and there will be no need to trace the ray through any other voxels.

Polygon Splitting

Before actually looking at the parameters there is one complicating issue we must mention:

All this looks great in theory until we come to consider a model made from a connected network of polygonal facets, then we have a bit of a dilemma! A network of connected facets cannot be separated into individual faces. No matter how hard we try, (how may times we subdivide), there is no way that we can separate each polygon so that a rectangle in the subdivision contains only one polygon. The fact that the polygons are connection is responsible for that. The very best we could probably do is associate some polygons with more than one voxel simultaneously. We are going to have to accept that in practice a one polygon to one subdivision goal is unattainable. So we must set a more realistic limit on the number of polygons we are prepared to accept in each voxel.

How close the renderer gets to the 1 to 1 ideal can be determined from the reported information in the status bar. The (F) value is the number of faces in the scene, the (Fc) value reports how many faces have been placed in voxels. Thus if Fc=F we have a perfect 1 to 1 set-up and the ray tracing should be very fast. The (F/V) value is the maximum number of faces assigned to any one polygon, ideally this should be equal to the desired value (which is set by the Threshold parameter). In most cases we rarely have either Fc=F or F/V = Threshold , any scene in which Fc < 5 F should be regarded as acceptable. In other scenes it is probably worth experimenting with the paameter settings.

The parameters

  • OpenFX provides two alternative methods of partitions the triangles in the voxels.

    In 'partition' mode NO additional polygons are created in the model as they are divided up among the voxels. Instead, each voxel records a list of every face that passes through that volume. When a voxel is divided (at the boundary between at least one face) those lying completely on either side of the dividing plane are assigned to either side. If a polygon crosses the dividing plane then it is assigned to both sides. (By choosing the dividing plane so that it passes through a vertex we can be sure that eventually the voxels at the bottom of the tree will only contain the specified number of polygons.

    In 'Split' mode the polygons in the model are split along the boundary of the voxel and those that lie to one side are assigned to lie in the child voxel on that side, those that lie on the other side of the dividing plane are assigned to the voxel on that side.

    In both these cases the parent voxel retains NO polygons, all polygons lie in a voxel at the bottom of the hierarchy.

    Note: To make sure that we do not miss any polygons or make too many, or not enough voxels, OpenFX uses integer coordinates internally for its vertex representations whild carrying out the optimisation.

    This switch parameter gives you the option to choose which of these methods of model partitioning best suit your scene.
  • The Recursive Depth setting tells the renderer what is the maximum number of subdivisions the octree it may use. Thus OpenFX won't go on subdividing even if the other settings would allow or require it. This parameter is needed because in some scenes too much memory would be needed and the optimisation step would take too long to complete. (Each additional subdivision (where required) takes 8 times as much memory and 8 times as long to compute. (Not all voxels will require subdivision but the number of voxels will get enormous. For example the default setting of 8 subdivisions would require> 16 million voxels. Twelve subdivision would require > 68 billion voxels, about 6.8TB of memory.)
  • The Polygons per Voxel is related to the number of faces that are assigned to each voxel. It is the desired number of faces we would like to see assigned to each voxel. (All this is discussed above.) Ideally one or two but for larger models 9 or 10 or even 100 to 150 are possible values. It just depends on the number of polygons in the scene and only experimentation will tell if you are heading in the right direction. Again the (F/V) and (Fc) values reported should help you refine your settings.


Renderer Overview

Select the desired rendering settings in the Control, Options, Settings, and Tracing tab pages of the Renderer dialog. Press one of the the Render buttons on the right of the Renderer dialog to start rendering.

By default the Scanline (Software) renderer is used to produce the images. Various levels of Ray tracing can be enabled in the Tracing tab page. Phong rendering is suggested in most cases since ray tracing is notoriously memory and time intensive.

If your hardware can support it the GPU Render button will be un-grayed and you can use the new Hardware renderer.

The software renderer is multi-threaded and will benefit greatly if additional processors/cores are installed in the system. Rendering on a two processor system will almost be twice as fast as with one processor.

Note that test renders be done quicker using the command File > Quick Render (F12) From the Animation and Design modules.


Quick Render

Quick Render to Camera View

Right click on the Camera or view Windows and choose Quick Render to quickly preview a frame with phong rendering (OpenGL renders as Gourand) using maps, shaders, reflections, etc. (This option uses the scanline software renderer.)

Tip: Quick Render is much faster if monitor color depth is set to 16 million colors. Otherwise the rendering displays colour banding and renders slower.


3D Plot Tool

This tool plots curves in three dimensions by creating vertices and edges in the Working-Volume view windows.

The vertices are created at the position of the 3D cursor and the edge joins the new vertex to the last vertex created.

Move the 3D cursor near the place where you want to start the curve. The curve can be started by attaching it to a selected vertex. Place the 3D cursor near a selected vertex. Keep the left mouse button held down. Click the right button to attach the plot to a vertex, or to create a new vertex at that location if there are no other vertices nearby. Click and drag the rubber band edge with the 3D cursor to where you want the next vertex (this can be another edge). Keep the left button down and click the right button. A new vertex will be created and an edge will attach it to the last vertex. If you click on a selected vertex, the edge will join it to the last vertex. If a triangle is formed with any other edges, a face will be added as well. Use the CTRL key modifier to disable the automatic attachment to any existing vertex.

While plotting a 3D curve, you can move between the three Working-Volume views to place each vertex in three dimensions.


Auto Filling

Creates faces (to facet) to fill a space surrounded by selected vertices usng either the Actions > Fill Outline or Actions > Fill to Cursor commands.

Auto Filling is by far the easiest way to facet an object, but it is not always appropriate. To use it, just draw an outline curve with the Pen Tool , remembering to close it, (the Pen Tool will close it if you click exactly on the first vertex. Then, with all the vertices of the curve selected, center the 3D Cursor and choose Fill to Cursor from the Actions menu. The curve should now be "solid". You can check this by making a enabling OpenGL shading in the Camera View. The OpenGL Shaded Camera View will only display filled outlines with faces, not unfilled outlines.

Auto Filling, although easy to activate, has some limitations. The main limitation is that only convex shapes can be faceted in one operation. It is possible to facet a concave outline with Auto Filling, but be very careful how the 3D Cursor is placed.


Center vs. Centroid

The Center of a group of vertices is the three dimensional midpoint of an imaginary rectangular box which encloses the vertices, assuming that the box is aligned with the coordinate axes.

The Centroid of a group of vertices is the center of gravity or the average of the individual positions of the vertices.

Note the positions of the Center and Centroid of the cone below.

The cone's Centroid is very close to the base center since all vertices but the tip vertex are at the base. The cone's Center is at the midpoint of a rectangular box which encompasses the cone.


Clamped Maps

Clamp Map Outside of Rectangle

Confines the OpenGL shaded display of images maps within the bounds of their map axes. Enabled or disabled in the OpenGL Preferences.

Clamped Map Setting Enabled

Clamped Map Setting Disabled

Note that the OpenGL shading will not display Fixed-To maps if the Clamp Map Outside of Rectangle setting is enabled. Example: The F1-OFX.MFX will not display the large image map on the body if Clamp Maps enabled.


Curve Definition

Curves

A Curve is a set of vertices connected together by edges without forming any faces. Curves may be open or closed.

Curves may be generated with the Pen Tool or 3D Plot Tool or drawn in the Build Bezier Curve editor.

Open Curve

Closed Curve


Delete Shader Axes

Deletes one of the additional Texture Axes, if any

Choose the Texture Axis to be delete from the dialog.

The Base Axis may not be deleted.

The Base Texture Axis is also used to define the base plane for pseudo shadow casting. See Also: Shadow Casting


Deselect Glue Mapped

Deselect Fixed-To Mapped

Deselect all non-hidden vertices in the model that have Fixed-To mapping coordinates applied.


Disk Primitive

The Build Primitives Disk Tab page enables the generation of Disk models by a specified dimension.

Type in the desired Radius, number of Sides, and Center point, then press the Make button. Note that the Center is the point in the Working-Volume 3D space that the center of the Disk is placed.

You can also interactively generate a Disk primitive by dragging out a bounding box in any of the Working-Volume' TOP, FRONT, or SIDE views. The specified Disk will fill the space of the bounding box. Note that the Auto checkbox must be checked to interactively draw primitives.


Face and Edge Creation

The central theme of a triangle-based modeling system is faceting.

The Unfilled Outline on the left would not render since it is not composed of faces (triangles) and would be considered a hole. The Filled Outline on the right would render as a surface.

There are two ways to facet (make triangular faces so that they fill) an outline ...

Auto Filling | Using the Fill Outline or Fill to Cursor actions
Strutting | Using the Pen Tool


File Open DXF

Opens a DXF file.

Select the DXF file to load and the desired options from the Import DXF File dialog.

The "2D Entities in Conversion" check box must be checked to import 2D DXF data.


Fit in Window

Changes the size and position of the Working-Volume so that all selected vertices fit within it.


OpenFX Home Page

Home Page...

Calls through the WWW to the home page.


Import Model

Enables importing of some other model formats.


Internal Shader Types

Internal Texture Types

The Internal Textures are built into the Renderer.

Plain | The plain texture is a pure color with no texturing applied to surfaces.
Wood | The surface is given the appearance of being carved out of Wood. The Primary surface color represents the Winter growth. The texture Color represents the summer growth.
Marble | The Vien color is given by the Primary surface color and the background color is given by the texture color.
Granite | The Primary color fades to black.
Luminous | This texture show the face color at maximum brightness and unaffected by lighting conditions. Use it on lamp shades and flourescent lights.
Flashing | This texture show the face color at maximum brightness for 5 frames and then at minimum brightness for 5 frames. This gives the illusion of a flashing light. Useful for aircraft navigation lights
Bumpy | The bumpy texture is perhaps the most useful of all. It gives surfaces the appearance of being rough. The scale of the bumps depends on the relative sizes of the texture axes and the model being textured. The height of the bumps is given by the Texture Parameter Slider. Bumps that are too high can give a poor surface appearance.
Aztec | This is a treshold bump texture that splits the surface into two plateau areas with terraced ridges.
Wrinkled | A bumpy texture but with a directional wrinkled effect.
Spotted | A spotty blend from the Primary color to a White color is applied to the surfaces
Agate | A Stone like texture.
Cloudy | This texture simulates the appearance of clouds. It is not affected by lighting conditions. The Texture Parameter Slider adjusts the "blusteryness" of the clouds and the Glossiness Slider sets the aspect ratio of the clouds. The aspect ratio is used to give the clouds the appearance of bending towards the horizon. Clouds are a fractal textured and a good looking texture is easily found with a couple of trials.
Dents | Small bumpy dents spaced and sized randomly over the surface.
Blend | Blend from the Primary to the texture color over the lenght of a texture axes. The blend occurs in a direction at right angles to the plane of the texture axes.
Wood++ | This is a more natural looking Wood texture but it is much slower to render areas of the picture where this texture is visible.


Lock Palette

Snap Palette

The Snap Palette sets the position of each control point for an image map or the material origin and texture axis. The snap options move the indicated control point to the location of the 3D Cursor.

In the case of Materlai Origin and Textures axes the palette looks like this:

wpe2.jpg (3463 bytes) .

In the case of Image Maps the Lock palette looks like this:

wpe3.jpg (3662 bytes)

 | Snaps Top Left anchor handle to the position of the 3D Cursor.
 | Snaps Top Right anchor handle to the position of the 3D Cursor.
 | Snaps Bottom Left anchor handle to the position of the 3D Cursor.
*Apply Mapping | In the case of Image Map this button will assign the texture coordinates to the selected vertices based on the current type of, and location of, image map.
 | Exits the Move Map Axes mode.


Map Attachment Types

Mapping Attachment Types

One of the best way to generate surface mapping coordinates is to imprint them on the surface using one of these types of alignment.

Planar The planar map is applied onto the selected faces by projection in a direction perpendicular to the map plane. Imagine that the model placed in front of a slide or movie projector. The map is the image being projected, the map axes represent the orientation of the projection screen, and the result is the pattern of colors as they fall on the model.

Cylindrical The Cylindrical map allows an image to be wrapped around a model like a label on a can or bottle. For Cylindrical maps, the line joining the large square and triangle is the axis of the cylinder. The line joining the large and small squares points to the seam of the map. The seam is where the left and right image edges meet. The map does not have to extend completely (360 degrees) around the whole cylinder. Use the slider titled Cylindrical map angle to specifiy the angular extent of the map. The map is always wrapped in a clockwise direction.

Spherical The Spherical map applies an image map evenly around a sphere. The image map shrinks at the ends (or poles) and stretches at the center (or equator).

Once you have chosen the type of alignment that best suits those parts of the model you want to apply an image map to, you should assign each of the selected vertices its mapping coordinates. This will ensure that if you further distort that part of the model or move it, the map will remain on the surface in the way you had intended.


Map Axes Cylindrical

Cylindrical Map Axes

The Cylindrical Map Axes enable you to precisely position a cylindrical image map on a 3D model.

The area enclosed by the Cylindrical Map Axes is defined in the Working-Volume views using three handles.

Top Left (T/L) Handle | Anchor handle moves all axes
Top Right (T/R) Handle | Resizes radius axis
Bottom Left (B/L) Handle | Resizes length axis

Position and size the image map on the model in the Working-Volume by clicking and dragging the Map Axes handles to the desired position. The Map Axes and image map will simultaneously be displayed (as a planar map) in the OpenGL Shaded Camera View.

You can also set the position of each map axis handle at the location of the 3D Cursor by pressing on the corresponding button in the Snap Palette.

Hint: To place each map axis handle directly on a vertex, place the 3D cursor near the selected vertex, press the F2 Key (Actions > Snap Cursor > To Closest Selected), the press the corresponding button in the Snap Palette.

See also Planar Map Axes...
See also Spherical Map Axes...


Map Axes Planar

Planar Map Axes

The Planar Map Axes enable you to precisely position a planar image map on a 3D model.

The area enclosed (shaded Gray) by the Planar Map Axes is defined in the Working-Volume views using three handles.

Top Left (T/L) Handle | Anchor handle moves all axes
Top Right (T/R) Handle | Resizes area width
Bottom Left (B/L) Handle | Resizes area length

Position and size the image map on the model in the Working-Volume by clicking and dragging the Map Axes handles to the desired position. The Map Axes and image map will simultaneously be displayed in the OpenGL Shaded Camera View.

You can also set the position of each map axis handle at the location of the 3D Cursor by pressing on the corresponding button in the Snap Palette.

Hint: To place each map axis handle directly on a vertex, place the 3D cursor near the selected vertex, press the F2 Key (Actions > Snap Cursor > To Closest Selected), the press the corresponding button in the Snap Palette.

See also Cylindrical Map Axes.


Map Axes Spherical

Spherical Map Axes

The Spherical Map Axes enable you to precisely position a cylindrical image map on a 3D model. The placement of the Spherical Map uses the sam gizmo as for the symindrical map:

wpe1.jpg (4795 bytes)

However, the Top left Handle of the spherical map is designated as the Centre of the sphere.

The area enclosed by the Sphericall Map Axes is defined in the Working-Volume views using three handles.

Top Left (T/L) Handle | Anchor handle moves all axes
Top Right (T/R) Handle | Resizes radius axis
Bottom Left (B/L) Handle | Resizes length axis

Position and size the image map on the model in the Working-Volume by clicking and dragging the Map Axes handles to the desired position. The Map Axes and image map will simultaneously be displayed (as a planar map) in the OpenGL Shaded Camera View.

You can also set the position of each map axis handle at the location of the 3D Cursor by pressing on the corresponding button in the Snap Palette.

Hint: To place each map axis handle directly on a vertex, place the 3D cursor near the selected vertex, press the F2 Key (Actions > Snap Cursor > To Closest Selected), the press the corresponding button in the Snap Palette.

See also Planar Map Axes...
See also Cylindrical Map axes...


Mapping Types

Surface Map - A surface image is the image that is painted directly onto the surface. It can be mixed with the faces' underlying colors and textures. A series of stills taken from an FLI file can be used to give the illusion of an animated map.

Reflection Map - A map that is not directly painted on to the faces to which the map is applied may be used to give the illusion of a reflection. A reflection map does not take up any particular orientation, it can be imagined as being painted on the sky. As with a surface map it can be mixed to give the appearance of partial reflectivity.

A reflection map is different from the reflectivity assigned to each face in the Attributes dialog. That reflection value is used to calculate an exact reflection from Sky and Ground actors.

Bump Map - A Bump image map is uses to give the illusion of irregularity in a surface. The map itself is not visible but it is used to modulate the regularity of the surface so that light bounces off it in different directions. Thus the surface appears bumpy. A bumpy texture can be used to give a very good rough texture to a surface but for specific bump patterns a ÒBump MapÓ gives a more precise result. For example, the mortar between bricks not only is of a different color but also has a slight slope that distinguishes it from the flat bricks. By using a map with a surface image of bricks and mortar and an aligned gray scale bump image a very realistic brick wall can be modeled with just 2 triangular faces.

As with the other images, the magnification of the height of the bumps can be adjusted on a 0-100% scale.

Transparency Map - A transparency map varies the opacity of surfaces to which it is applied. Any part of the model covered by a part of the map that is "White" are totally transparent. Any part covered by a part of the map that is "Black" are totally opaque. As the luminosity of the map increases so does the transparency.

In addition to the transparency map an ordinary map applied to faces which are partially transparent can affect the transparent property. When an image map is applied to transparent (semi-transparent) faces and clear color keying is turned on, any part of the models surface where the key color would be visible retain their transparency value and so can be either fully or partially transparent. Any part of the surface that are painted with the "Surface Map" become fully opaque showing the surface map. (Use this to paint text on glass.)

Note: In OpenFX 2 the files that are used to generate these maps are included with the .OFX model file.


Material Settings Basics

Specifies Color, Phong Smoothing, and Specular Highlights for selected faces.

The changes can be previewed in the Camera Window by pressing the Preview button at the bottom of the dialog.

Color Applied to Selected Faces - This is the color that the faces in the model will have when it appears in a rendered image or animation.

Many of the faces selected may have different attributes. For example, part of a sphere may be red, another part green. When you enter a color in a color swatch this is not applied to the faces until you click the Set button. Similarly the color swatches can be updated by reading the colors from the selected faces by clicking the Get Button. If some of the selected faces carry different attributes the Get button will be grayed and inactive.

Click on the Color Swatch button to choose a new color from the Set Faces Color dialog.

Select a color from the Basic Colors matrix or create a new one with the Luminance slider and the RGB/HSV data fields. Click OK to accept the color. Cancel to return to the previous dialog without changing the original color.

Get button - Clicking on the Get button reads the color of the selected faces and updates the Color Swatch with that color.

Set button - Updates the selected faces with the color displayed in the Color Swatch.

Texture Color - This color will appear over parts of the faces if they have a two-tone texture. For example, in a marble it defines the background color while the vein's color is taken from the faces main color.

Phong Smoothing - Applies Phong Smoothing to the selected faces.

Specular Highlights - Applies specular highlights to the selected faces. If the setting is Off, the surface will have a matte or dull finish. The size of the specular highlight is adjusted in with the Glossiness slider in the Attributes Settings Tab page.


Mirror Plane

Creates a direct mirror image of the scene as seen in those faces that are reflective.

Mirror Planes are not necessary when images are rendered with Ray Tracing turned On, which is the prefered option for generating true reflections. (Do this by enabling the Trace Reflections option in the Trace Tab page of the Render dialog.)

A Scanline Phong Renderer cannot calculate true reflections but by using a Mirror Plane any flat surface in the scene can be made to show a pretty good approximation to a true reflection, this may be enough for many scenes. (The Scanline renderer is very very much faster than the Ray Tracing renderer).

Mirror Plane Off | Mirror Plane On

A mirror plane reflection works in a similar way to reflection in the ground plane but setting it up takes a little more work because unlike the ground which is always flat a mirror plane can be horizontal, vertical or lie at any angle at all.

Any triangular faces that are reflective and lie in the mirror plane will show a true reflection.

The mirror plane is specified by adding a texture texture axes which acts to define the plane of the mirror. Executing the Mirror Plane menu command offers you a selection of texture axes - choose one of them.

Once a mirror plane has been attached to one of the texture axes proceed to set the attributes of the faces that are to act as a mirror. These faces should be assigned a non-zero reflectivity and (most importantly) have their textures axis assigned to the same texture axis that the mirror plane is attached to.

Notes:

  • A model can only use one mirror plane at a time but as many models as you like with mirror planes may be animated together.
  • Because ground planes extend to infinity they do not work in a scene containing models that use mirror planes.
  • If you want to have a ground plane in an animation that uses models with mirror planes you must simulate the ground with a flat plane that is scaled up by a large factor to fill out to the horizon.
  • To turn the mirror plane off assign it to no texture axis. During rendering you will see each reflection being rendered separately and then composited together to build the final image.
  • Remember that a mirror can only reflect objects that are facing it.


Move Dialog

Moves the selected vertices by a specified distance.

Type in the coordinates that you wish to move the selected vertices by. Movement is relative to the center of the selected vertices.


Move Shader Axes

Move Material Origin

This is used to specify the texture size and orientation relative to the selected faces.

All materials have by default some way of defining how an applied texture will look. This is done with a basic repeat unit that is the size of the Texture Axis, the center point of the texture asis is the Material Origin. The axis and origin can be made visible and moved about. When visible it will look like this.

The size and orientation of the texture is manipulated with the Texture Axes' handles.

Top Left (T/L) Handle | Anchor handle moves all axes .and sets center of texture. ex: Sets the center of the rings in the wood texture.
Top Right (T/R) Handle | Resizes width of texture. ex: Resizes the width of the rings in the wood texture.
Bottom Left (B/L) Handle | Resizes length of texture. ex: in the wood texture.

Experiment with the effects of moving the Texture Axes' handles. Choose a texture such as Wood. Move the texture Axes's handles. Right click on the Camera window (OpenGL view must be disabled) and choose Quick Render to view the effect of the change. Note you can Quick Render the change without clicking on the Done button in the Texture Lock palette. Move the axes' handles into a different position. Quick Render. Continue until you get the effect you like. The effects will be different depending on the texture used.

You can also set the position of each texture axis handle at the location of the 3D Cursor by pressing on the corresponding button in the Snap Palette.


New Shader Axes

New Texture Axes

Adds additional texture axes to a model which uses multiple textures.

Since a model may need to use several textures, the default axis may not be in a suitable position for some textures. This option allows additional axes to be added to the model. When a texture is applied to faces in the model it is possible to identify a specific Texture Axis that will be used to align the texture as it is applied to those faces.

Enter the name for the new texture axes into the New Texture Axes dialog.

Apply the New Texture Axes to the respective parts of the model by pressing the Set button in the Texture Tab page of the Material Attributes dialog.


Path Definition

Path

A path is a set of vertices connected together by edges without forming any faces. Paths may be open or closed.

Paths may be generated with the Pen Tool or 3D Plot Tool or drawn in the Build Bezier Curve editor.

Path files are used in the animator as templates for Path Objects and may be used in the Designer as paths for the Extrude along function.

Open Path

Closed Path


Phong Smoothing

This is a procedure that helps to remove the faceted appearance from the curved surfaces of models.

The diagram below shows a cylinder and a faceted model.

When lighting conditions and surface color are taken into account, that is, it has been shaded, it will look like:

This is because triangles are flat surfaces. At an edge, between two triangles, there may be a change in direction between the planes in which the triangular faces lie. Since it is the angle between these planes and the direction of the light that dictate the shading of a 3D model, the edges of a face are particularly noticeable. If two triangles lie in the same plane, shading them will appear to remove the common edge.

There are many places in an object where there should be visible edges, I will call them creases. A cube would not be a cube if it did not have creases on its edges.

However models have many curved surfaces which we have approximated by triangular faces. Unfortunately an almost unlimited number of minute triangles would be required to get a perfect model for the curved surface.

In essence there are two types of areas on the surface of an object. One is inherently angular and the other is inherently curved.

The faceted method of modeling does a very good job of modeling the angular surface areas, but it is necessary to find a way to make curved surfaces look curved without having to add thousands of minute triangles.

A cylinder (build from a set of triangular faces) poses a very interesting problem. It has a curved side which we would like to look smooth. The top and bottom are flat but the edges between the side and top, and the bottom and side, should remain visible. Therefore there are two flat pieces joined to a curved piece with a crease in between.

This property of the cylinder is quite difficult to model correctly, and it will be reconsidered it later.

There are a couple of methods that are used to make curved surfaces look smooth. They are called Gouraud shading and Phong shading, named after their creators. Both are approximations, Phong shading gives a more realistic look to objects but it takes longer to render. The Renderer uses Phong shading.

Important Note: It is important to realize that no smoothing method smoothes outlines.

Because the eye takes much less note of the edges of an object than abrupt changes in shading on the visible surface, it is possible to get away with only smoothing surfaces.

Look at the diagram below; it shows a cylinder and a smoothed and shaded representation. Note the lack of creases in the curved part of the surface. Note also that the edges have not been made curved!

It looks a very much better cylinder than if smoothing had not been applied. This has been achieved without adding any vertices, edges or faces!

The curved edges could be smoothed by adding only a few extra vertices, a lot more would be required if it were necessary to smooth the whole surface by adding more faces!

That's the good news. Unfortunately, with any approximation come a few drawbacks.

The main problem occurs if you try to smooth triangulated surfaces on which there are very large angles between faces that have a common edge. Faces with an angle greater than 90 degrees will look very strange if smoothing is applied.

If possible, smoothing should only be applied to faces with angles of 60 degrees or less (to adjacent faces). You must be quite selective in which faces you choose to apply smoothing too.

A few more words need to be said about the problem that was hinted at earlier with regard to the cylinder.

There will be no problem (with angles) in smoothing the curved surface of the cylinder provided 6 or more edges around a circular end were used (12 triangular faces on the curved surface). However it is desired to retain the crease between the top surface and the side, and of course at the bottom as well.

To achieve this smoothing should be applied to the faces on the curved surface only.

For a cylinder such as the one shown below this can be done by selecting all the vertices that make up the cylinder and then setting smoothing to OFF. Then, by using the Selector (in a window which show the circular section), the vertices at the center of the top and bottom surfaces are selected. Finally by clicking on the Select Swap icon the appropriate vertices are selected. Smoothing is activated for faces in the Designer's Attributes dialog.

If the above procedure is followed, the Renderer carefully leaves the crease alone.

If you just selected all the vertices in the cylinder and set smoothing On you would just get a blur where the crease was supposed to be, and probably several dark patches elsewhere in the image.

Sometimes it is just not possible to get all the creases you want using the approach above. For example if two smoothed surfaces are joined together. In these cases, don't join the faces from the two surfaces but just put them very close together. You won't see the gap (between the surface patches) in the image, if they are close enough together.

Common Edge

Use 2 Edges (one for each surface)

There is one other situation that should be avoided when building smooth surfaces on objects.

Each edge should be common to two faces at most.

Avoid designs that involve structures such as that shown below.

Edge Common to more than 2 Faces

In that example an edge is common to three faces and the Phong smoothing algorithm won't know which ones make up a smooth surface. This type of situation arises mainly if there are "Internal Faces" in a model. Internal faces are usually unnecessary, unless you have some faces made of glass and you want to see into the inside of the model. If this is the case then don't join the internal surfaces to the outer surfaces. Use the trick described earlier for keeping creases in a model.


Postscript Text Builder Utility

The Postscript Text Builder Utility enables you to build 3D text for flying logos. It is also useful for building 3D models from postscript character sets such as the Carta font.

Shape Preview - Previews the shape of the font character in the Font Preview box.

Profile Preview - Previews the profile of the font character in the Font Preview box. The profile is manipulated using the Width and Bevel sliders.

Hold Point - Defines the axis of rotation for the font.

Choose button - Click to select a new Postscript font.

Text - Enter the characters for the logo.

Bevel Front - Adds a bevel to the front of the font letters.

Bevel Back - Adds a bevel to the back of the font letters.

Bevel Angle - Defines the angle of the bevel. The bevel will fail if the specified angle is too sharp and causes an intersection. If bevel fails, reduce the angle and/or depth. The failure point depends on the type of font. Narrow thin fonts are likely candidates and the bevel should be kept as small as possible.

Bevel Depth - Defines the width of the bevel.

Width - Defines the width of the font using the slider.

Fill front and back - Generates (fills outline with triangles) a surface on the front and back sides of the font characters.

Don't fill - Generates a hollow font character with no front or back surface.

Build left to right - Builds logo with characters facing left to right. Example: Logo

Build right to left - - Builds logo with characters facing right to left. Example: ogoL

Type in the desired characters describing the logo, define font width, bevel characteristics, color information, etc. Press the Make button and the logo will be loaded into the Designer Working-Volume .


Preview Shaders

Preview Textures

Previews the look of textures and other surface attributes.

The Texture Preview is for learning how texures and other attributes interact only as the settings are not saved to any selected faces.

A cube and sphere may be quickly rendered to show the effect of color, smoothing and texture settings. The cube is larger than the sphere so textures will appear at a smaller scale when previewed on the cube.

The Texture Scale slider changes the size of the Texture Axes relative to the sphere or cube.


Quick Render

Quick Render to Camera View

Right click on the Camera Window and choose Quick Render to quickly preview a frame with phong rendering (OpenGL renders as Gourand) using maps, textures, reflections, etc.

Note that the Quick Render option is not available if OpenGL display is on.

Tip: Quick Render is much faster if monitor color depth is set to 16 million colors. Otherwise the rendering displays color banding and renders slower.


Refractive Index

Specifies the Index of Refraction for the selected faces.

Refraction is only calculated if the Trace Reflections and Trace Glass option on turned on in the Trace Tab page of the Render dialog.

Refraction is the bending of light as it passes through a transparent surface. This quality is responsible for the optical properties of a lens or magnifying glass. Refraction is also apparent when you look at a room through a glass full of water. Light is bent once as it passes through one side of the glass, again as it enters and exits the water, and again as it passes through the far wall of the glass.

The amount that light bends as it passes through any given material is defined by a standard number called the "Index of Refraction."

Material | Index of Refraction
Air | 1.0 (no refraction)
Glass | 1.2 - 1.9
Water | 1.33 (1.3 for ice)
Diamond | 2.4


Rotate Dialog

Rotate selected vertices around the position of the 3D cursor via a numerical angel of rotation.

Enter numerical angle of rotation in the dialog and specify whether the rotation is to be clockwise or counterclockwise.

Rotation takes place at the position of the 3D cursor, around an axis at right angles to the active window.


Scale Dialog

Scales selected vertices or faces by a numeric factor.

The expansion can be optionally turned off in the up/down(Z) left/right(X) or front/back(Y) directions.

Vertices - Scales the selected vertices either from the 3D Cursor position or the Center of the selected vertices. This is the most commonly used option.

Faces - Scales the selected face size only without affecting the size of the model itself.

From Cursor - Scales the selected vertices or faces relative to the position of the 3D Cursor.

From Center - Scales the selected vertices or faces to the center of the selected vertices or faces.


Shader Help

Textures and the Texture Preview

The Texture Peview is designed to give an indication of the textures that are before they are applied and how the settings of the texture controls affect their appearance.

The most important texture control is the relative size of the Texture Axes to the model onto which the texture is to be applied. The textures are designed to look their best when the texture axes are approximately the same size as the model, or part of the model to which they are applied.

The following Internal and Plug-in Textures are provided.

Internal Textures

The Internal Textures are built into the Renderer.

Plain | The plain texture is a pure color with no texturing applied to surfaces.
Wood | The surface is given the appearance of being carved out of Wood. The Primary surface color represents the Winter growth. The Texture Color represents the summer growth.
Marble | The Vien color is given by the Primary surface color and the background color is given by the Texture color.
Granite | The Primary color fades to black.
Luminous | This texture show the face color at maximum brightness and unaffected by lighting conditions. Use it on lamp shades and flourescent lights.
Flashing | This texture show the face color at maximum brightness for 5 frames and then at minimum brightness for 5 frames. This gives the illusion of a flashing light. Useful for aircraft navigation lights
Bumpy | The bumpy texture is perhaps the most useful of all. It gives surfaces the appearance of being rough. The scale of the bumps depends on the relative sizes of the texture axes and the model being textured. The height of the bumps is given by the Texture Parameter Slider. Bumps that are too high can give a poor surface appearance.
Aztec | This is a treshold bump texture that splits the surface into two plateau areas with terraced ridges.
Wrinkled | A bumpy texture but with a directional wrinkled effect.
Spotted | A spotty blend from the Primary color to a White color is applied to the surfaces
Agate | A Stone like texture.
Cloudy | This texture simulates the appearance of clouds. It is not affected by lighting conditions. The Texture Parameter Slider adjusts the "blusteryness" of the clouds and the Glossiness Slider sets the aspect ratio of the clouds. The aspect ratio is used to give the clouds the appearance of bending towards the horizon. Clouds are a fractal textured and a good looking texture is easily found with a couple of trials.
Dents | Small bumpy dents spaced and sized randomly over the surface.
Blend | Blend from the Primary to the texture color over the lenght of a texture axes. The blend occurs in a direction at right angles to the plane of the texture axes.
Wood++ | This is a more natural looking Wood texture but it is much slower to render areas of the picture where this texture is visible.

Plug-in Textures

Plug-in textures are held in external library files and provide for the possibility of adding textures from third party companies or individuals.

External textures usually have much greater control over their design and scale settings that can be combined with the effect of the texture axes sizes.

Bozo | External texture that generates a camouflage pattern.
Bricks | External texture that generates bricks. Looks best on a planar surface.
Dimples | External texture that generates a dimple bump pattern. Illustrates the combination of a change in color and surface normal direction.
Dots | External texture that generates a dot pattern. Looks best on a planar surface.
Ripples | Ripples texture is an animated external texture. It will go through a rippling cycle over a number of frames.


Shader Types

Internal Textures

The Internal Textures are built into the Renderer.

Plain | The plain texture is a pure color with no texturing applied to surfaces.
Wood | The surface is given the appearance of being carved out of Wood. The Primary surface color represents the Winter growth. The texture color represents the summer growth.
Marble | The Vien color is given by the Primary surface color and the background color is given by the texture color.
Granite | The Primary color fades to black.
Luminous | This texture show the face color at maximum brightness and unaffected by lighting conditions. Use it on lamp shades and flourescent lights.
Flashing | This texture show the face color at maximum brightness for 5 frames and then at minimum brightness for 5 frames. This gives the illusion of a flashing light. Useful for aircraft navigation lights
Bumpy | The bumpy texture is perhaps the most useful of all. It gives surfaces the appearance of being rough. The scale of the bumps depends on the relative sizes of the texture axes and the model being textured. The height of the bumps is given by the Texture Parameter Slider. Bumps that are too high can give a poor surface appearance.
Aztec | This is a treshold bump texture that splits the surface into two plateau areas with terraced ridges.
Wrinkled | A bumpy texture but with a directional wrinkled effect.
Spotted | A spotty blend from the Primary color to a White color is applied to the surfaces
Agate | A Stone like texture.
Cloudy | This texture simulates the appearance of clouds. It is not affected by lighting conditions. The Texture Parameter Slider adjusts the "blusteryness" of the clouds and the Glossiness Slider sets the aspect ratio of the clouds. The aspect ratio is used to give the clouds the appearance of bending towards the horizon. Clouds are a fractal textured and a good looking texture is easily found with a couple of trials.
Dents | Small bumpy dents spaced and sized randomly over the surface.
Blend | Blend from the Primary to the texture color over the lenght of a texture axes. The blend occurs in a direction at right angles to the plane of the texture axes.
Wood++ | This is a more natural looking Wood texture but it is much slower to render areas of the picture where this texture is visible.

Plug-in Textures

Plug-in textures are held in external library files and provide for the possibility of adding textures from third party companies or individuals.

External textures usually have much greater control over their design and scale settings that can be combined with the effect of the texture axes sizes.

Bozo | External texture that generates a camouflage pattern.
Bricks | External texture that generates bricks. Looks best on a planar surface.
Dimples | External texture that generates a dimple bump pattern. Illustrates the combination of a change in color and surface normal direction.
Dots | External texture that generates a dot pattern. Looks best on a planar surface.
Ripples | Ripples texture is an animated external texture. It will go through a rippling cycle over a number of frames.


Shadow Casting

Use this command to turn on or off the effect of casting shadows from other models onto this model.

Calculating accurate shadows in a 3D world is very time consuming, so the Renderer uses a variety of tricks to obtain an approximation of shadows.

Because Ground type objects are always flat, accurate shadows are easy to calculate and therefore a ground plane will always have near-perfect shadows cast onto it.

Casting shadows onto models is more difficult to accomplish. There are two approaches that can be used. The first is to use spotlights, and the second to use this option where a plane in the model is defined as a shadow plane and shadows are calculated from all other Objects on the assumption that this model is flat and lies in the shadow plane.

If the model is far from flat then this approximation does not work well. For floor, ceiling or wall surfaces where a ground plane is inappropriate, it works very well and is much quicker and memory efficient that Spotlights.

The shadow plane is defined by the position and orientation of the Base Texture Axis. See Also: Textures

More accurate shadows are obtained by using spotlights. These shadows are geometrically correct even for curved or irregular surfaces, but the accuracy of the shadow outline depends on the size of a Shadow buffer. If this buffer is too small the shadows will have fuzzy edges.


Shaper Tool

Form Tool

The shaper tool conforms selected vertices on contact to the surface of a spherical tool.

Works in both internal and external directions, very much like sticking one's thumb into a piece of clay.

Click and drag the shaper cursor into position. While holding the left button down, click the right mouse button to push any selected vertices inside the sphere of influence out to the sphere's surface. To change the size of the sphere of influence, press and hold the CTRL key and click and drag the mouse to the left or right.

To change the direction of the shaper, hold down the SHIFT or ALT key and then click and drag the mouse left or right.

Shift | Alters the longitudinal direction. (Round z axis)
Alt | Alters the latitudinal direction. (Up/Down)
Ctrl | Changes the size of the sphere of influence


Simplify

Reduces the number of vertices, edges, and faces in the selected model.

Two edges meeting at a vertex that are nearly co-linear will be reduced to one if possible.

Any adjacent faces out of plane by more than the edge angle will be joined if possible.

The Simplify Action is useful after the Boolean cutting action is performed.


Apply Map to Skeleton Joint

Assign an image map to one of the Skeleton's Joints.

Click and drag the 3D Cursor near to the node at the end of the Joint to which the map is to be attached. Hold down the left mouse button and click the right button to attach. You will be prompted for the filename of the map to attach to this Joint.


Strutting

This strange term describes the process of faceting a curve using the Pen Tool or 3D Plot Tool.

To try this, draw a curve like the one shown below using the Pen Tool.

Draw an edge between vertex 6 and vertex 1 to close the curve. Make sure you click exactly on top of vertex 1, otherwise a new vertex will be added and the curve will not be closed.

With the curve in Figure 1 created, have a good look at it in the Camera View. The OpenGL Shaded Camera View will display nothing since the curve must be faceted (filled) first. Note that you can see the wireframe curve if the OpenGL Saded Camera View is turned off.

Create an edge between vertex 2 and vertex 6 as shown below. With the Pen Tool enabled, click exactly on vertex 2, then on vertex 6

Once the edge has been created, you should see (lower right hand corner of the status bar) that the number of faces increases by one -- you have created a face! The face in question is composed of vertex 1, vertex 2 and vertex 6. Take a look at these vertices to verify this (that they form a triangle). Now we can proceed to create two more edges to form all the necessary faces. Create edges from vertex 3 to vertex 6 and vertex 4 to vertex 6 as shown in Figure 3.

After these edges have been created, you should see a solid 3D shape displayed in the OpenGL Shaded Camera View.

Now try a more complex outline.

Draw an outline of the letter 'C' as shown in Figure 4.

You should be able to close the curve with the Pen Tool alone. The outline is a very rough approximation of the letter 'C'. This is entirely due to some questionable drawing skills! Hopefully you should be able to produce a better C. It does not matter if your outline has more vertices than the one above, you should be able to follow the instructions anyway.

Using the Pen Tool and the strutting technique described to create Figure 3, create an edge between vertex 1 and vertex 3. This will create a face (check for the triangle). Create another edge between vertices 3 and 15. Another face will be created (check again). Then create an edge between vertices 15 and 4. Yet another face will be added. Hopefully you should also see why this technique has been called "strutting". Continue creating edges and faces until you have something like that shown in Figures 5 and 6 below.

The sequence for creating all the vital edges in the case above is :

Edge |  | Edge
3 | to | 15
15 | to | 4
4 | to | 14
14 | to | 5
5 | to | 13
13 | to | 6
6 | to | 12
12 | to | 7
12 | to | 8
8 | to | 11
11 | to | 9

The edge marked in red is important. It represents a change in rhythm. You should be able to see the pattern in standard strutting : a to b, b to c, c to d. However, the marked red edge violates this pattern. This is often necessary to avoid having long thin faces. Note the angle between edges 12 to 11 and 12 to 7 on the left is much greater than 90%. The best choice on the right keeps the angles close to or less than 90%.

RULE 1: Always avoid long thin faces.

This is not just a matter of style. The Renderer will usually cope with long thin faces, but it will increase the rendering time. Having long thin faces often makes the object more difficult to manipulate. So, although there is no real prohibition against long thin faces, they should be avoided.

While you where faceting your 'C' outline, you may have felt the need to change the rhythm of the strutting to avoid violating rule 1. This should be quite natural. Just keep in your mind the objective of rule 1 and, after a little practice, faceting outlines should become second nature.

If you have successfully created you solid 'C' shape, then you can extrude it into a solid character for a 3D font. You can try applying colors and textures to the model for the 'C'. You could even save it for later use as an actor's costume in an animation.

RULE 2: Never, never have faces on top of each other.

Figure 10 demonstrates what four faces sitting on top of each other looks like.

Figure 11 shows a similar arrangement of four faces that is perfectly correct to use. Look carefully to see that none of the four faces is sitting on top of any other one.

Figure 12 shows how a single edge will create the two faces necessary to facet the rectangular outline of Figure 10.

Rule 2 is not quite a absolute as it sounds. The Renderer does a "depth sort" which should eliminate any problems in the final image, but it is very bad style to create objects with faces sitting on top of each other.

Figure 11 actually shows what the rectangular outline would look like if faceted by the Fill to Cursor action. The contrast with Figure 12 should enable you to make some distinction between faces created by strutting and faces created by the Fill to Cursor action. Note that the Fill Outline action would have faceted the outline as in Figure 12.

As mentioned before, both methods of faceting have advantages and disadvantages. The Fill to Cursor action creates an extra vertex which is not strictly necessary for faceting the outline. Therefore, strutting is a more economical method (it does not need an extra vertex). However, having an extra vertex which is a member of all the faces can be an advantage. In the simplest case this can just be an Auto-Filled circle (as described above). It is then possible to grab the center vertex of the solid circle (disk) and pull it up above the circle using the Vertex Selector Tool. This will create a cone similar to an ice-cream cone.

The cone example is just a very basic demonstration of how powerful it is to have 'control' vertices embedded in the model. These vertices can be moved around to dramatically alter the appearance of the model. This technique should be remembered.

Another, not so obvious economic advantage of the structure in Figure 12, is that it has just two faces. The filled structure in Figure 11 (the Auto-Filled one) has four. Of course, the less faces you have the better (less memory is used, renders faster).

Finally, in what is the most advanced example of faceting, holes will be considered.

A brief note should be made about triangular holes. You may have already tried to create the letter 'A', but you may have got stuck on the triangular hole. This appears to be a real problem. If a triangle defines a solid face, how can you have a triangular hole ?

The solution is simple, and like many techniques in animation, a cheat. Create your triangular 'hole' as a normal triangular face. Then select the two vertices at the end of one of the triangle's edges. Subdivide the edge. Now you should have a shape with 4 vertices. Remove the edge that 'crosses' the would-be triangular hole and you will really have a true hole. This is because by Subdividing one of the edges, you changed the 3 sided triangle into a 4 sided quadrilateral. However, the quadrilateral was still solid, so you removed the crucial edge and turned it into an outline.

You should have an outline that looks triangular but it is composed of 4 vertices, so it is not triangular and not a face. If you did not completely understand this explanation then don't worry. After you have had a little more experience it should become clearer. (Just try and create the letter 'A' !)

But once you have the outline (hole and all) how do you turn it into a solid shape ready to be extruded? This is demonstrated by the outline below

In Figure 7 you can see two circles, one inside the other. For this example suppose the inner circle is a hole. Create the circles for yourself (the outer one has 10 vertices, the inner one has 5). Look carefully at how the edges are added.

Try this technique on your copy of the circles. Once you have done that, adding the edges shown below should be easy.

Check that all the faces have been added properly.


OpenFX Support Site

Support Site...

Call through the WWW to the support site.


Tesselate

Divides each selected face into three additional faces by drawing edges to a vertex at the center of each triangular face.

Before Tesselation

After Tesselation

Contrast this type subdivision with the Subdivide action.


Text Hold Point

The Hold Point defines the axis of rotation for the font.


Tiling Types

Map Tiling Types
Standard Adjacent copies of the map will appear to have a discontinuity on the edges as they are tiled over the faces

Mosaic Adjacent copies of the map are reflected as they are tiled over the faces so that no discontinuity is apparent at the edges.


Trouble Shooting Tips
Problem | Cause and Resolution
Map axis handle will not lock to a specific vertex. | More than three vertices are currently selected. Deselect all and only select the three vertices corresponding to the T/L, T/R, and B/L handles. 3D Cursor is not directly indicating a vertex. Place the 3D Cursor near the desired vertex lock point and press the F2 key to snap to the desired lock vertex.


TTF Text Builder Utility

The TrueType Text Builder Utility enables you to build 3D text for flying logos from TrueType fonts.

Shape Preview - Previews the shape of the font character in the Font Preview box.

Profile Preview - Previews the profile of the font character in the Font Preview box. The profile is manipulated using the Width and Bevel sliders.

Hold Point - Defines the axis of rotation for the font.

Choose button - Click to select a new TrueType font.

Text - Enter the characters for the logo.

Bevel Front - Adds a bevel to the front of the font letters.

Bevel Back - Adds a bevel to the back of the font letters.

Bevel Angle - Defines the angle of the bevel. The bevel will fail if the specified angle is too sharp and causes an intersection. If bevel fails, reduce the angle and/or depth. The failure point depends on the type of font. Narrow thin fonts are likely candidates and the bevel should be kept as small as possible.

Bevel Depth - Defines the width of the bevel.

Width - Defines the width of the font using the slider.

Fill front and back - Generates (fills outline with triangles) a surface on the front and back sides of the font characters.

Don't fill - Generates a hollow font character with no front or back surface.

Build left to right - Builds logo with characters facing left to right. Example: Logo

Build right to left - - Builds logo with characters facing right to left. Example: ogoL

Type in the desired characters describing the logo, define font width, bevel characteristics, color information, etc. Press the Make button and the logo will be loaded into the Deisgner Working-Volume.


Using Help

Explains how to use the on-line HTML Help system.


WindowBox

Working-Volume

The Working-Volume is a cubic volume of space which is used as the working environment for building models and setting up animations. It can be moved around and changed in size so that detailed movements can be made on a small scale.

The Working-Volume views show what's inside it:

TOP | Top looking down
FRONT | Front looking back
SIDE | Right side looking left

The Camera View (view at upper right corner) is a 3D rendering of the Model displayed in the Working-Volume.


SFXpluginBlistersTX

Blister Texture

This plug in texture creates the appearance of a random splattering of blisters on any surfaces it is applied to. There are a number of optional settings and the size of repeat pattern is (like all other textures) dictated by the size of the Texture Axes.

Remember that the .DLL and .TFX files for textures should be located in the textures subdirectory.

This plugin is controlled through the dialog below:

SfxTextBlisters.gif (18480 bytes)

The controls in this dialog effect the appearance of the texture but the overall scale (which governs the appearance) is controlled by the relative size of texture axis to the model on which the texture lies. Check out the example model included with the DLL and SFX files.

As usual the X Y and Z scaling are multipliers on any scaling derived from the texture axes.

The effect of the other settings are as follows:

If the colour bumps flag is set then the colour set in the swatch beside it is applied to the whole blister.

The texture can produce three types of blisters:

  • Standard "Pea" like blisters
  • Flattened blisters (like those shown in the dialog's illustration (above)
  • The centre of the blister can be coloured with the settings in the colour swatch (also illustrated in dialog above - the Colour Bumps check box should also be set )

The blisters can be given the appearance of having less heights by entering a number in the range [0 - 1] in the Blister Height edit box.

The Blister Radius (in the range [0 - 1]) controls the radius of the blister. This setting may be used in conjunction with the scaling factors and Texture Axis size to contol the apparent number of blisters per unit surface area. (For example making the texture axes large and using a small blister radius gives the surface the appearance of having ony a few blister. Alternatively making the texture axis small and setting the radius to 1.0 gives the surface the appearance of being highly blistered.) This point is illustrated in the figures below. The sphere on the left has small blisters but a large set of texture axes, the sphere on the right has large blisters but a small set of texture axes. (The models (.MFX files) for these spheres are included in the download archive)

sfxtextblisters2.gif (10016 bytes) sfxtextblisters1.gif (24023 bytes)